/*******************************************************************
*   IA_SID_1994_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CHGS FILE INTO SPSS                         
*******************************************************************/


*******************************.
*  Define the data file       *.
*******************************.

DATA LIST FILE = 'IA_SID_1994_CHGS.ASC' FIXED / 
 SEQ_SID               1-  13
 PROCESS              14-  24
 CHG1                 25-  36.


***  Specify write formats  ***.
FORMATS
 SEQ_SID             (F8.0) /
 PROCESS             (F7.0) /
 CHG1                (F6.2) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 SEQ_SID   "I:HCUP-3 SID record sequence number"
 PROCESS   "I:HCUP-3 discharge processing ID number"
 CHG1      "I:Detailed charges 1 (from data source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE CHG1
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).



SAVE OUTFILE = 'IA_SID_1994_CHGS.SAV' /COMPRESSED.
