/*******************************************************************
*   IA_SID_2010_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CHGS FILE INTO SPSS                         
*******************************************************************/


********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************.

DATA LIST FILE = 'IA_SID_2010_CHGS.ASC' FIXED / 
 CHARGE                     1-  12
 KEY                       13-  30
 REVCODE                   31-  34 (A).


***  Specify write formats  ***.
FORMATS
 CHARGE                  (F6.2) /
 KEY                     (F8.0) /
.


***  Assign labels to the variables ***.
VARIABLE LABELS 
 CHARGE                  "Line item charges (as received from source)"
 KEY                     "HCUP record identifier"
 REVCODE                 "Line item revenue code (as received from source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE CHARGE
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).



SAVE OUTFILE = 'IA_SID_2010_CHGS.SAV' /COMPRESSED.
