/*******************************************************************
*   MA_SID_2001_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CHGS FILE INTO SPSS                         
*******************************************************************/


*******************************.
*  Define the data file       *.
*******************************.

DATA LIST FILE = 'MA_SID_2001_CHGS.ASC' FIXED / 
 KEY                   1-  14
 CHG1                 15-  26
 CHG2                 27-  38
 CHG3                 39-  50
 CHG4                 51-  62
 CHG5                 63-  74
 CHG6                 75-  86
 CHG7                 87-  98
 CHG8                 99- 110
 CHG9                111- 122
 CHG10               123- 134
 CHG11               135- 146
 CHG12               147- 158
 CHG13               159- 170
 CHG14               171- 182
 CHG15               183- 194
 CHG16               195- 206
 CHG17               207- 218
 CHG18               219- 230
 CHG19               231- 242
 CHG20               243- 254
 CHG21               255- 266
 CHG22               267- 278
 CHG23               279- 290
 CHG24               291- 302
 CHG25               303- 314
 CHG26               315- 326
 CHG27               327- 338
 CHG28               339- 350
 CHG29               351- 362
 CHG30               363- 374
 CHG31               375- 386
 CHG32               387- 398
 CHG33               399- 410
 REVCD1              411- 414 (A)
 REVCD2              415- 418 (A)
 REVCD3              419- 422 (A)
 REVCD4              423- 426 (A)
 REVCD5              427- 430 (A)
 REVCD6              431- 434 (A)
 REVCD7              435- 438 (A)
 REVCD8              439- 442 (A)
 REVCD9              443- 446 (A)
 REVCD10             447- 450 (A)
 REVCD11             451- 454 (A)
 REVCD12             455- 458 (A)
 REVCD13             459- 462 (A)
 REVCD14             463- 466 (A)
 REVCD15             467- 470 (A)
 REVCD16             471- 474 (A)
 REVCD17             475- 478 (A)
 REVCD18             479- 482 (A)
 REVCD19             483- 486 (A)
 REVCD20             487- 490 (A)
 REVCD21             491- 494 (A)
 REVCD22             495- 498 (A)
 REVCD23             499- 502 (A)
 REVCD24             503- 506 (A)
 REVCD25             507- 510 (A)
 REVCD26             511- 514 (A)
 REVCD27             515- 518 (A)
 REVCD28             519- 522 (A)
 REVCD29             523- 526 (A)
 REVCD30             527- 530 (A)
 REVCD31             531- 534 (A)
 REVCD32             535- 538 (A)
 REVCD33             539- 542 (A)
 UNIT1               543- 546
 UNIT2               547- 550
 UNIT3               551- 554
 UNIT4               555- 558
 UNIT5               559- 562
 UNIT6               563- 566
 UNIT7               567- 570
 UNIT8               571- 574
 UNIT9               575- 578
 UNIT10              579- 582
 UNIT11              583- 586
 UNIT12              587- 590
 UNIT13              591- 594
 UNIT14              595- 598
 UNIT15              599- 602
 UNIT16              603- 606
 UNIT17              607- 610
 UNIT18              611- 614
 UNIT19              615- 618
 UNIT20              619- 622
 UNIT21              623- 626
 UNIT22              627- 630
 UNIT23              631- 634
 UNIT24              635- 638
 UNIT25              639- 642
 UNIT26              643- 646
 UNIT27              647- 650
 UNIT28              651- 654
 UNIT29              655- 658
 UNIT30              659- 662
 UNIT31              663- 666
 UNIT32              667- 670
 UNIT33              671- 674.


***  Specify write formats  ***.
FORMATS
 KEY                 (F8.0) /
 CHG1                (F6.2) /
 CHG2                (F6.2) /
 CHG3                (F6.2) /
 CHG4                (F6.2) /
 CHG5                (F6.2) /
 CHG6                (F6.2) /
 CHG7                (F6.2) /
 CHG8                (F6.2) /
 CHG9                (F6.2) /
 CHG10               (F6.2) /
 CHG11               (F6.2) /
 CHG12               (F6.2) /
 CHG13               (F6.2) /
 CHG14               (F6.2) /
 CHG15               (F6.2) /
 CHG16               (F6.2) /
 CHG17               (F6.2) /
 CHG18               (F6.2) /
 CHG19               (F6.2) /
 CHG20               (F6.2) /
 CHG21               (F6.2) /
 CHG22               (F6.2) /
 CHG23               (F6.2) /
 CHG24               (F6.2) /
 CHG25               (F6.2) /
 CHG26               (F6.2) /
 CHG27               (F6.2) /
 CHG28               (F6.2) /
 CHG29               (F6.2) /
 CHG30               (F6.2) /
 CHG31               (F6.2) /
 CHG32               (F6.2) /
 CHG33               (F6.2) /
 UNIT1               (F4.0) /
 UNIT2               (F4.0) /
 UNIT3               (F4.0) /
 UNIT4               (F4.0) /
 UNIT5               (F4.0) /
 UNIT6               (F4.0) /
 UNIT7               (F4.0) /
 UNIT8               (F4.0) /
 UNIT9               (F4.0) /
 UNIT10              (F4.0) /
 UNIT11              (F4.0) /
 UNIT12              (F4.0) /
 UNIT13              (F4.0) /
 UNIT14              (F4.0) /
 UNIT15              (F4.0) /
 UNIT16              (F4.0) /
 UNIT17              (F4.0) /
 UNIT18              (F4.0) /
 UNIT19              (F4.0) /
 UNIT20              (F4.0) /
 UNIT21              (F4.0) /
 UNIT22              (F4.0) /
 UNIT23              (F4.0) /
 UNIT24              (F4.0) /
 UNIT25              (F4.0) /
 UNIT26              (F4.0) /
 UNIT27              (F4.0) /
 UNIT28              (F4.0) /
 UNIT29              (F4.0) /
 UNIT30              (F4.0) /
 UNIT31              (F4.0) /
 UNIT32              (F4.0) /
 UNIT33              (F4.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 KEY       "HCUP record identifier"
 CHG1      "Detailed charges 1 (as received from source)"
 CHG2      "Detailed charges 2 (as received from source)"
 CHG3      "Detailed charges 3 (as received from source)"
 CHG4      "Detailed charges 4 (as received from source)"
 CHG5      "Detailed charges 5 (as received from source)"
 CHG6      "Detailed charges 6 (as received from source)"
 CHG7      "Detailed charges 7 (as received from source)"
 CHG8      "Detailed charges 8 (as received from source)"
 CHG9      "Detailed charges 9 (as received from source)"
 CHG10     "Detailed charges 10 (as received from source)"
 CHG11     "Detailed charges 11 (as received from source)"
 CHG12     "Detailed charges 12 (as received from source)"
 CHG13     "Detailed charges 13 (as received from source)"
 CHG14     "Detailed charges 14 (as received from source)"
 CHG15     "Detailed charges 15 (as received from source)"
 CHG16     "Detailed charges 16 (as received from source)"
 CHG17     "Detailed charges 17 (as received from source)"
 CHG18     "Detailed charges 18 (as received from source)"
 CHG19     "Detailed charges 19 (as received from source)"
 CHG20     "Detailed charges 20 (as received from source)"
 CHG21     "Detailed charges 21 (as received from source)"
 CHG22     "Detailed charges 22 (as received from source)"
 CHG23     "Detailed charges 23 (as received from source)"
 CHG24     "Detailed charges 24 (as received from source)"
 CHG25     "Detailed charges 25 (as received from source)"
 CHG26     "Detailed charges 26 (as received from source)"
 CHG27     "Detailed charges 27 (as received from source)"
 CHG28     "Detailed charges 28 (as received from source)"
 CHG29     "Detailed charges 29 (as received from source)"
 CHG30     "Detailed charges 30 (as received from source)"
 CHG31     "Detailed charges 31 (as received from source)"
 CHG32     "Detailed charges 32 (as received from source)"
 CHG33     "Detailed charges 33 (as received from source)"
 REVCD1    "Revenue code 1 (as received from source)"
 REVCD2    "Revenue code 2 (as received from source)"
 REVCD3    "Revenue code 3 (as received from source)"
 REVCD4    "Revenue code 4 (as received from source)"
 REVCD5    "Revenue code 5 (as received from source)"
 REVCD6    "Revenue code 6 (as received from source)"
 REVCD7    "Revenue code 7 (as received from source)"
 REVCD8    "Revenue code 8 (as received from source)"
 REVCD9    "Revenue code 9 (as received from source)"
 REVCD10   "Revenue code 10 (as received from source)"
 REVCD11   "Revenue code 11 (as received from source)"
 REVCD12   "Revenue code 12 (as received from source)"
 REVCD13   "Revenue code 13 (as received from source)"
 REVCD14   "Revenue code 14 (as received from source)"
 REVCD15   "Revenue code 15 (as received from source)"
 REVCD16   "Revenue code 16 (as received from source)"
 REVCD17   "Revenue code 17 (as received from source)"
 REVCD18   "Revenue code 18 (as received from source)"
 REVCD19   "Revenue code 19 (as received from source)"
 REVCD20   "Revenue code 20 (as received from source)"
 REVCD21   "Revenue code 21 (as received from source)"
 REVCD22   "Revenue code 22 (as received from source)"
 REVCD23   "Revenue code 23 (as received from source)"
 REVCD24   "Revenue code 24 (as received from source)"
 REVCD25   "Revenue code 25 (as received from source)"
 REVCD26   "Revenue code 26 (as received from source)"
 REVCD27   "Revenue code 27 (as received from source)"
 REVCD28   "Revenue code 28 (as received from source)"
 REVCD29   "Revenue code 29 (as received from source)"
 REVCD30   "Revenue code 30 (as received from source)"
 REVCD31   "Revenue code 31 (as received from source)"
 REVCD32   "Revenue code 32 (as received from source)"
 REVCD33   "Revenue code 33 (as received from source)"
 UNIT1     "Units of service 1 (as received from source)"
 UNIT2     "Units of service 2 (as received from source)"
 UNIT3     "Units of service 3 (as received from source)"
 UNIT4     "Units of service 4 (as received from source)"
 UNIT5     "Units of service 5 (as received from source)"
 UNIT6     "Units of service 6 (as received from source)"
 UNIT7     "Units of service 7 (as received from source)"
 UNIT8     "Units of service 8 (as received from source)"
 UNIT9     "Units of service 9 (as received from source)"
 UNIT10    "Units of service 10 (as received from source)"
 UNIT11    "Units of service 11 (as received from source)"
 UNIT12    "Units of service 12 (as received from source)"
 UNIT13    "Units of service 13 (as received from source)"
 UNIT14    "Units of service 14 (as received from source)"
 UNIT15    "Units of service 15 (as received from source)"
 UNIT16    "Units of service 16 (as received from source)"
 UNIT17    "Units of service 17 (as received from source)"
 UNIT18    "Units of service 18 (as received from source)"
 UNIT19    "Units of service 19 (as received from source)"
 UNIT20    "Units of service 20 (as received from source)"
 UNIT21    "Units of service 21 (as received from source)"
 UNIT22    "Units of service 22 (as received from source)"
 UNIT23    "Units of service 23 (as received from source)"
 UNIT24    "Units of service 24 (as received from source)"
 UNIT25    "Units of service 25 (as received from source)"
 UNIT26    "Units of service 26 (as received from source)"
 UNIT27    "Units of service 27 (as received from source)"
 UNIT28    "Units of service 28 (as received from source)"
 UNIT29    "Units of service 29 (as received from source)"
 UNIT30    "Units of service 30 (as received from source)"
 UNIT31    "Units of service 31 (as received from source)"
 UNIT32    "Units of service 32 (as received from source)"
 UNIT33    "Units of service 33 (as received from source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE CHG1
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG2
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG3
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG4
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG5
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG6
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG7
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG8
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG9
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG10
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG11
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG12
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG13
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG14
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG15
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG16
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG17
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG18
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG19
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG20
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG21
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG22
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG23
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG24
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG25
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG26
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG27
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG28
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG29
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG30
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG31
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG32
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG33
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE UNIT1
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT2
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT3
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT4
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT5
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT6
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT7
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT8
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT9
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT10
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT11
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT12
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT13
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT14
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT15
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT16
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT17
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT18
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT19
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT20
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT21
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT22
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT23
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT24
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT25
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT26
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT27
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT28
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT29
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT30
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT31
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT32
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT33
 (-999,-888,-666,-555=SYSMIS).



SAVE OUTFILE = 'MA_SID_2001_CHGS.SAV' /COMPRESSED.
