/*******************************************************************
*   NJ_SID_1990_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CHGS FILE INTO SPSS                         
*******************************************************************/


*******************************.
*  Define the data file       *.
*******************************.

DATA LIST FILE = 'NJ_SID_1990_CHGS.ASC' FIXED / 
 PROCESS               1-  11
 UNIT1                12-  19
 UNIT2                20-  27
 UNIT3                28-  35
 UNIT4                36-  43
 UNIT5                44-  51
 UNIT6                52-  59
 UNIT7                60-  67
 UNIT8                68-  75
 UNIT9                76-  83
 UNIT10               84-  91
 UNIT11               92-  99
 UNIT12              100- 107
 UNIT13              108- 115
 UNIT14              116- 123
 UNIT15              124- 131
 UNIT16              132- 139
 UNIT17              140- 147
 UNIT18              148- 155
 UNIT19              156- 163
 UNIT20              164- 171
 UNIT21              172- 179
 UNIT22              180- 187
 UNIT23              188- 195
 UNIT24              196- 203
 UNIT25              204- 211
 UNIT26              212- 219
 UNIT27              220- 227
 UNIT28              228- 235
 UNIT29              236- 243
 UNIT30              244- 251
 UNIT31              252- 259
 UNIT32              260- 267
 UNIT33              268- 275
 UNIT34              276- 283
 UNIT35              284- 291
 CHG1                292- 303
 CHG2                304- 315
 CHG3                316- 327
 CHG4                328- 339
 CHG5                340- 351
 CHG6                352- 363
 CHG7                364- 375
 CHG8                376- 387
 CHG9                388- 399
 CHG10               400- 411
 CHG11               412- 423
 CHG12               424- 435
 CHG13               436- 447
 CHG14               448- 459
 CHG15               460- 471
 CHG16               472- 483
 CHG17               484- 495
 CHG18               496- 507
 CHG19               508- 519
 CHG20               520- 531
 CHG21               532- 543
 CHG22               544- 555
 CHG23               556- 567
 CHG24               568- 579
 CHG25               580- 591
 CHG26               592- 603
 CHG27               604- 615
 CHG28               616- 627
 CHG29               628- 639
 CHG30               640- 651
 CHG31               652- 663
 CHG32               664- 675
 CHG33               676- 687
 CHG34               688- 699
 CHG35               700- 711.


***  Specify write formats  ***.
FORMATS
 PROCESS             (F6.0) /
 UNIT1               (F3.0) /
 UNIT2               (F3.0) /
 UNIT3               (F3.0) /
 UNIT4               (F3.0) /
 UNIT5               (F3.0) /
 UNIT6               (F3.0) /
 UNIT7               (F3.0) /
 UNIT8               (F3.0) /
 UNIT9               (F3.0) /
 UNIT10              (F3.0) /
 UNIT11              (F3.0) /
 UNIT12              (F3.0) /
 UNIT13              (F3.0) /
 UNIT14              (F3.0) /
 UNIT15              (F3.0) /
 UNIT16              (F3.0) /
 UNIT17              (F3.0) /
 UNIT18              (F3.0) /
 UNIT19              (F3.0) /
 UNIT20              (F3.0) /
 UNIT21              (F3.0) /
 UNIT22              (F3.0) /
 UNIT23              (F3.0) /
 UNIT24              (F3.0) /
 UNIT25              (F3.0) /
 UNIT26              (F3.0) /
 UNIT27              (F3.0) /
 UNIT28              (F3.0) /
 UNIT29              (F3.0) /
 UNIT30              (F3.0) /
 UNIT31              (F3.0) /
 UNIT32              (F3.0) /
 UNIT33              (F3.0) /
 UNIT34              (F3.0) /
 UNIT35              (F3.0) /
 CHG1                (F5.2) /
 CHG2                (F5.2) /
 CHG3                (F5.2) /
 CHG4                (F5.2) /
 CHG5                (F5.2) /
 CHG6                (F5.2) /
 CHG7                (F5.2) /
 CHG8                (F5.2) /
 CHG9                (F5.2) /
 CHG10               (F5.2) /
 CHG11               (F5.2) /
 CHG12               (F5.2) /
 CHG13               (F5.2) /
 CHG14               (F5.2) /
 CHG15               (F5.2) /
 CHG16               (F5.2) /
 CHG17               (F5.2) /
 CHG18               (F5.2) /
 CHG19               (F5.2) /
 CHG20               (F5.2) /
 CHG21               (F5.2) /
 CHG22               (F5.2) /
 CHG23               (F5.2) /
 CHG24               (F5.2) /
 CHG25               (F5.2) /
 CHG26               (F5.2) /
 CHG27               (F5.2) /
 CHG28               (F5.2) /
 CHG29               (F5.2) /
 CHG30               (F5.2) /
 CHG31               (F5.2) /
 CHG32               (F5.2) /
 CHG33               (F5.2) /
 CHG34               (F5.2) /
 CHG35               (F5.2) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 PROCESS   "I:HCUP-3 discharge processing ID number"
 UNIT1     "I:Units of service 1 (from data source)"
 UNIT2     "I:Units of service 2 (from data source)"
 UNIT3     "I:Units of service 3 (from data source)"
 UNIT4     "I:Units of service 4 (from data source)"
 UNIT5     "I:Units of service 5 (from data source)"
 UNIT6     "I:Units of service 6 (from data source)"
 UNIT7     "I:Units of service 7 (from data source)"
 UNIT8     "I:Units of service 8 (from data source)"
 UNIT9     "I:Units of service 9 (from data source)"
 UNIT10    "I:Units of service 10 (from data source)"
 UNIT11    "I:Units of service 11 (from data source)"
 UNIT12    "I:Units of service 12 (from data source)"
 UNIT13    "I:Units of service 13 (from data source)"
 UNIT14    "I:Units of service 14 (from data source)"
 UNIT15    "I:Units of service 15 (from data source)"
 UNIT16    "I:Units of service 16 (from data source)"
 UNIT17    "I:Units of service 17 (from data source)"
 UNIT18    "I:Units of service 18 (from data source)"
 UNIT19    "I:Units of service 19 (from data source)"
 UNIT20    "I:Units of service 20 (from data source)"
 UNIT21    "I:Units of service 21 (from data source)"
 UNIT22    "I:Units of service 22 (from data source)"
 UNIT23    "I:Units of service 23 (from data source)"
 UNIT24    "I:Units of service 24 (from data source)"
 UNIT25    "I:Units of service 25 (from data source)"
 UNIT26    "I:Units of service 26 (from data source)"
 UNIT27    "I:Units of service 27 (from data source)"
 UNIT28    "I:Units of service 28 (from data source)"
 UNIT29    "I:Units of service 29 (from data source)"
 UNIT30    "I:Units of service 30 (from data source)"
 UNIT31    "I:Units of service 31 (from data source)"
 UNIT32    "I:Units of service 32 (from data source)"
 UNIT33    "I:Units of service 33 (from data source)"
 UNIT34    "I:Units of service 34 (from data source)"
 UNIT35    "I:Units of service 35 (from data source)"
 CHG1      "I:Detailed charges 1 (from data source)"
 CHG2      "I:Detailed charges 2 (from data source)"
 CHG3      "I:Detailed charges 3 (from data source)"
 CHG4      "I:Detailed charges 4 (from data source)"
 CHG5      "I:Detailed charges 5 (from data source)"
 CHG6      "I:Detailed charges 6 (from data source)"
 CHG7      "I:Detailed charges 7 (from data source)"
 CHG8      "I:Detailed charges 8 (from data source)"
 CHG9      "I:Detailed charges 9 (from data source)"
 CHG10     "I:Detailed charges 10 (from data source)"
 CHG11     "I:Detailed charges 11 (from data source)"
 CHG12     "I:Detailed charges 12 (from data source)"
 CHG13     "I:Detailed charges 13 (from data source)"
 CHG14     "I:Detailed charges 14 (from data source)"
 CHG15     "I:Detailed charges 15 (from data source)"
 CHG16     "I:Detailed charges 16 (from data source)"
 CHG17     "I:Detailed charges 17 (from data source)"
 CHG18     "I:Detailed charges 18 (from data source)"
 CHG19     "I:Detailed charges 19 (from data source)"
 CHG20     "I:Detailed charges 20 (from data source)"
 CHG21     "I:Detailed charges 21 (from data source)"
 CHG22     "I:Detailed charges 22 (from data source)"
 CHG23     "I:Detailed charges 23 (from data source)"
 CHG24     "I:Detailed charges 24 (from data source)"
 CHG25     "I:Detailed charges 25 (from data source)"
 CHG26     "I:Detailed charges 26 (from data source)"
 CHG27     "I:Detailed charges 27 (from data source)"
 CHG28     "I:Detailed charges 28 (from data source)"
 CHG29     "I:Detailed charges 29 (from data source)"
 CHG30     "I:Detailed charges 30 (from data source)"
 CHG31     "I:Detailed charges 31 (from data source)"
 CHG32     "I:Detailed charges 32 (from data source)"
 CHG33     "I:Detailed charges 33 (from data source)"
 CHG34     "I:Detailed charges 34 (from data source)"
 CHG35     "I:Detailed charges 35 (from data source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE UNIT1
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT2
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT3
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT4
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT5
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT6
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT7
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT8
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT9
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT10
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT11
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT12
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT13
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT14
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT15
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT16
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT17
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT18
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT19
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT20
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT21
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT22
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT23
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT24
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT25
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT26
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT27
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT28
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT29
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT30
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT31
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT32
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT33
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT34
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT35
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE CHG1
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG2
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG3
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG4
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG5
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG6
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG7
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG8
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG9
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG10
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG11
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG12
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG13
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG14
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG15
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG16
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG17
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG18
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG19
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG20
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG21
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG22
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG23
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG24
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG25
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG26
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG27
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG28
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG29
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG30
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG31
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG32
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG33
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG34
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG35
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).



SAVE OUTFILE = 'NJ_SID_1990_CHGS.SAV' /COMPRESSED.
