/*******************************************************************
*   NJ_SID_2008_DX_PR_GRPS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY DX_PR_GRPS FILE INTO SPSS                         
*******************************************************************/


*******************************************************************.
*  Define the data file                                           *.
*  ATTENTION!            ATTENTION!              ATTENTION!       *.
*  Variable names longer than 8 characters are truncated for SPSS *.
*  and may no longer be unique                                    *.
*  Refer to the LOC file and adjust accordingly                   *.
*******************************************************************.

DATA LIST FILE = 'NJ_SID_2008_DX_PR_GRPS.ASC' FIXED / 
 CHRON1                     1-   2
 CHRON2                     3-   4
 CHRON3                     5-   6
 CHRON4                     7-   8
 CHRON5                     9-  10
 CHRON6                    11-  12
 CHRON7                    13-  14
 CHRON8                    15-  16
 CHRON9                    17-  18
 CHRON10                   19-  20
 CHRON11                   21-  22
 CHRON12                   23-  24
 CHRON13                   25-  26
 CHRON14                   27-  28
 CHRON15                   29-  30
 CHRON16                   31-  32
 CHRON17                   33-  34
 CHRON18                   35-  36
 CHRON19                   37-  38
 CHRON20                   39-  40
 CHRON21                   41-  42
 CHRON22                   43-  44
 CHRON23                   45-  46
 CHRON24                   47-  48
 CHRON25                   49-  50
 CHRONB1                   51-  52
 CHRONB2                   53-  54
 CHRONB3                   55-  56
 CHRONB4                   57-  58
 CHRONB5                   59-  60
 CHRONB6                   61-  62
 CHRONB7                   63-  64
 CHRONB8                   65-  66
 CHRONB9                   67-  68
 CHRONB10                  69-  70
 CHRONB11                  71-  72
 CHRONB12                  73-  74
 CHRONB13                  75-  76
 CHRONB14                  77-  78
 CHRONB15                  79-  80
 CHRONB16                  81-  82
 CHRONB17                  83-  84
 CHRONB18                  85-  86
 CHRONB19                  87-  88
 CHRONB20                  89-  90
 CHRONB21                  91-  92
 CHRONB22                  93-  94
 CHRONB23                  95-  96
 CHRONB24                  97-  98
 CHRONB25                  99- 100
 DXMCCS1                  101- 111 (A)
 DXMCCS2                  112- 122 (A)
 DXMCCS3                  123- 133 (A)
 DXMCCS4                  134- 144 (A)
 DXMCCS5                  145- 155 (A)
 DXMCCS6                  156- 166 (A)
 DXMCCS7                  167- 177 (A)
 DXMCCS8                  178- 188 (A)
 DXMCCS9                  189- 199 (A)
 DXMCCS10                 200- 210 (A)
 DXMCCS11                 211- 221 (A)
 DXMCCS12                 222- 232 (A)
 DXMCCS13                 233- 243 (A)
 DXMCCS14                 244- 254 (A)
 DXMCCS15                 255- 265 (A)
 DXMCCS16                 266- 276 (A)
 DXMCCS17                 277- 287 (A)
 DXMCCS18                 288- 298 (A)
 DXMCCS19                 299- 309 (A)
 DXMCCS20                 310- 320 (A)
 DXMCCS21                 321- 331 (A)
 DXMCCS22                 332- 342 (A)
 DXMCCS23                 343- 353 (A)
 DXMCCS24                 354- 364 (A)
 DXMCCS25                 365- 375 (A)
 E_MCCS1                  376- 386 (A)
 E_MCCS2                  387- 397 (A)
 E_MCCS3                  398- 408 (A)
 E_MCCS4                  409- 419 (A)
 E_MCCS5                  420- 430 (A)
 E_MCCS6                  431- 441 (A)
 E_MCCS7                  442- 452 (A)
 KEY                      453- 466
 PCLASS1                  467- 468
 PCLASS2                  469- 470
 PCLASS3                  471- 472
 PCLASS4                  473- 474
 PCLASS5                  475- 476
 PCLASS6                  477- 478
 PCLASS7                  479- 480
 PCLASS8                  481- 482
 PCLASS9                  483- 484
 PCLASS10                 485- 486
 PCLASS11                 487- 488
 PCLASS12                 489- 490
 PCLASS13                 491- 492
 PCLASS14                 493- 494
 PCLASS15                 495- 496
 PCLASS16                 497- 498
 PCLASS17                 499- 500
 PCLASS18                 501- 502
 PCLASS19                 503- 504
 PCLASS20                 505- 506
 PCLASS21                 507- 508
 PCLASS22                 509- 510
 PCLASS23                 511- 512
 PCLASS24                 513- 514
 PRMCCS1                  515- 522 (A)
 PRMCCS2                  523- 530 (A)
 PRMCCS3                  531- 538 (A)
 PRMCCS4                  539- 546 (A)
 PRMCCS5                  547- 554 (A)
 PRMCCS6                  555- 562 (A)
 PRMCCS7                  563- 570 (A)
 PRMCCS8                  571- 578 (A)
 PRMCCS9                  579- 586 (A)
 PRMCCS10                 587- 594 (A)
 PRMCCS11                 595- 602 (A)
 PRMCCS12                 603- 610 (A)
 PRMCCS13                 611- 618 (A)
 PRMCCS14                 619- 626 (A)
 PRMCCS15                 627- 634 (A)
 PRMCCS16                 635- 642 (A)
 PRMCCS17                 643- 650 (A)
 PRMCCS18                 651- 658 (A)
 PRMCCS19                 659- 666 (A)
 PRMCCS20                 667- 674 (A)
 PRMCCS21                 675- 682 (A)
 PRMCCS22                 683- 690 (A)
 PRMCCS23                 691- 698 (A)
 PRMCCS24                 699- 706 (A)
 U_BLOOD                  707- 708
 U_CATH                   709- 710
 U_CCU                    711- 712
 U_CHESTX                 713- 714
 U_CTSCAN                 715- 716
 U_DIALYS                 717- 718
 U_ECHO                   719- 720
 U_ED                     721- 722
 U_EEG                    723- 724
 U_EKG                    725- 726
 U_EPO                    727- 728
 U_ICU                    729- 730
 U_LITHOT                 731- 732
 U_MHSA                   733- 734
 U_MRT                    735- 736
 U_NEWBN2                 737- 738
 U_NEWBN3                 739- 740
 U_NEWBN4                 741- 742
 U_NUCMED                 743- 744
 U_OBSERV                 745- 746
 U_OCCTHE                 747- 748
 U_ORGANA                 749- 750
 U_OTHIMP                 751- 752
 U_PACEMA                 753- 754
 U_PHYTHE                 755- 756
 U_RADTHE                 757- 758
 U_RESPTH                 759- 760
 U_SPEECH                 761- 762
 U_STRESS                 763- 764
 U_ULTRAS                 765- 766.


***  Specify write formats  ***.
FORMATS
 CHRON1                  (F3.0) /
 CHRON2                  (F3.0) /
 CHRON3                  (F3.0) /
 CHRON4                  (F3.0) /
 CHRON5                  (F3.0) /
 CHRON6                  (F3.0) /
 CHRON7                  (F3.0) /
 CHRON8                  (F3.0) /
 CHRON9                  (F3.0) /
 CHRON10                 (F3.0) /
 CHRON11                 (F3.0) /
 CHRON12                 (F3.0) /
 CHRON13                 (F3.0) /
 CHRON14                 (F3.0) /
 CHRON15                 (F3.0) /
 CHRON16                 (F3.0) /
 CHRON17                 (F3.0) /
 CHRON18                 (F3.0) /
 CHRON19                 (F3.0) /
 CHRON20                 (F3.0) /
 CHRON21                 (F3.0) /
 CHRON22                 (F3.0) /
 CHRON23                 (F3.0) /
 CHRON24                 (F3.0) /
 CHRON25                 (F3.0) /
 CHRONB1                 (F3.0) /
 CHRONB2                 (F3.0) /
 CHRONB3                 (F3.0) /
 CHRONB4                 (F3.0) /
 CHRONB5                 (F3.0) /
 CHRONB6                 (F3.0) /
 CHRONB7                 (F3.0) /
 CHRONB8                 (F3.0) /
 CHRONB9                 (F3.0) /
 CHRONB10                (F3.0) /
 CHRONB11                (F3.0) /
 CHRONB12                (F3.0) /
 CHRONB13                (F3.0) /
 CHRONB14                (F3.0) /
 CHRONB15                (F3.0) /
 CHRONB16                (F3.0) /
 CHRONB17                (F3.0) /
 CHRONB18                (F3.0) /
 CHRONB19                (F3.0) /
 CHRONB20                (F3.0) /
 CHRONB21                (F3.0) /
 CHRONB22                (F3.0) /
 CHRONB23                (F3.0) /
 CHRONB24                (F3.0) /
 CHRONB25                (F3.0) /
 KEY                     (F8.0) /
 PCLASS1                 (F3.0) /
 PCLASS2                 (F3.0) /
 PCLASS3                 (F3.0) /
 PCLASS4                 (F3.0) /
 PCLASS5                 (F3.0) /
 PCLASS6                 (F3.0) /
 PCLASS7                 (F3.0) /
 PCLASS8                 (F3.0) /
 PCLASS9                 (F3.0) /
 PCLASS10                (F3.0) /
 PCLASS11                (F3.0) /
 PCLASS12                (F3.0) /
 PCLASS13                (F3.0) /
 PCLASS14                (F3.0) /
 PCLASS15                (F3.0) /
 PCLASS16                (F3.0) /
 PCLASS17                (F3.0) /
 PCLASS18                (F3.0) /
 PCLASS19                (F3.0) /
 PCLASS20                (F3.0) /
 PCLASS21                (F3.0) /
 PCLASS22                (F3.0) /
 PCLASS23                (F3.0) /
 PCLASS24                (F3.0) /
 U_BLOOD                 (F3.0) /
 U_CATH                  (F3.0) /
 U_CCU                   (F3.0) /
 U_CHESTX                (F3.0) /
 U_CTSCAN                (F3.0) /
 U_DIALYS                (F3.0) /
 U_ECHO                  (F3.0) /
 U_ED                    (F3.0) /
 U_EEG                   (F3.0) /
 U_EKG                   (F3.0) /
 U_EPO                   (F3.0) /
 U_ICU                   (F3.0) /
 U_LITHOT                (F3.0) /
 U_MHSA                  (F3.0) /
 U_MRT                   (F3.0) /
 U_NEWBN2                (F3.0) /
 U_NEWBN3                (F3.0) /
 U_NEWBN4                (F3.0) /
 U_NUCMED                (F3.0) /
 U_OBSERV                (F3.0) /
 U_OCCTHE                (F3.0) /
 U_ORGANA                (F3.0) /
 U_OTHIMP                (F3.0) /
 U_PACEMA                (F3.0) /
 U_PHYTHE                (F3.0) /
 U_RADTHE                (F3.0) /
 U_RESPTH                (F3.0) /
 U_SPEECH                (F3.0) /
 U_STRESS                (F3.0) /
 U_ULTRAS                (F3.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 CHRON1    "Chronic condition indicator 1"
 CHRON2    "Chronic condition indicator 2"
 CHRON3    "Chronic condition indicator 3"
 CHRON4    "Chronic condition indicator 4"
 CHRON5    "Chronic condition indicator 5"
 CHRON6    "Chronic condition indicator 6"
 CHRON7    "Chronic condition indicator 7"
 CHRON8    "Chronic condition indicator 8"
 CHRON9    "Chronic condition indicator 9"
 CHRON10   "Chronic condition indicator 10"
 CHRON11   "Chronic condition indicator 11"
 CHRON12   "Chronic condition indicator 12"
 CHRON13   "Chronic condition indicator 13"
 CHRON14   "Chronic condition indicator 14"
 CHRON15   "Chronic condition indicator 15"
 CHRON16   "Chronic condition indicator 16"
 CHRON17   "Chronic condition indicator 17"
 CHRON18   "Chronic condition indicator 18"
 CHRON19   "Chronic condition indicator 19"
 CHRON20   "Chronic condition indicator 20"
 CHRON21   "Chronic condition indicator 21"
 CHRON22   "Chronic condition indicator 22"
 CHRON23   "Chronic condition indicator 23"
 CHRON24   "Chronic condition indicator 24"
 CHRON25   "Chronic condition indicator 25"
 CHRONB1   "Chronic condition body system 1"
 CHRONB2   "Chronic condition body system 2"
 CHRONB3   "Chronic condition body system 3"
 CHRONB4   "Chronic condition body system 4"
 CHRONB5   "Chronic condition body system 5"
 CHRONB6   "Chronic condition body system 6"
 CHRONB7   "Chronic condition body system 7"
 CHRONB8   "Chronic condition body system 8"
 CHRONB9   "Chronic condition body system 9"
 CHRONB10  "Chronic condition body system 10"
 CHRONB11  "Chronic condition body system 11"
 CHRONB12  "Chronic condition body system 12"
 CHRONB13  "Chronic condition body system 13"
 CHRONB14  "Chronic condition body system 14"
 CHRONB15  "Chronic condition body system 15"
 CHRONB16  "Chronic condition body system 16"
 CHRONB17  "Chronic condition body system 17"
 CHRONB18  "Chronic condition body system 18"
 CHRONB19  "Chronic condition body system 19"
 CHRONB20  "Chronic condition body system 20"
 CHRONB21  "Chronic condition body system 21"
 CHRONB22  "Chronic condition body system 22"
 CHRONB23  "Chronic condition body system 23"
 CHRONB24  "Chronic condition body system 24"
 CHRONB25  "Chronic condition body system 25"
 DXMCCS1   "Multi-Level CCS:  Diagnosis 1"
 DXMCCS2   "Multi-Level CCS:  Diagnosis 2"
 DXMCCS3   "Multi-Level CCS:  Diagnosis 3"
 DXMCCS4   "Multi-Level CCS:  Diagnosis 4"
 DXMCCS5   "Multi-Level CCS:  Diagnosis 5"
 DXMCCS6   "Multi-Level CCS:  Diagnosis 6"
 DXMCCS7   "Multi-Level CCS:  Diagnosis 7"
 DXMCCS8   "Multi-Level CCS:  Diagnosis 8"
 DXMCCS9   "Multi-Level CCS:  Diagnosis 9"
 DXMCCS10  "Multi-Level CCS:  Diagnosis 10"
 DXMCCS11  "Multi-Level CCS:  Diagnosis 11"
 DXMCCS12  "Multi-Level CCS:  Diagnosis 12"
 DXMCCS13  "Multi-Level CCS:  Diagnosis 13"
 DXMCCS14  "Multi-Level CCS:  Diagnosis 14"
 DXMCCS15  "Multi-Level CCS:  Diagnosis 15"
 DXMCCS16  "Multi-Level CCS:  Diagnosis 16"
 DXMCCS17  "Multi-Level CCS:  Diagnosis 17"
 DXMCCS18  "Multi-Level CCS:  Diagnosis 18"
 DXMCCS19  "Multi-Level CCS:  Diagnosis 19"
 DXMCCS20  "Multi-Level CCS:  Diagnosis 20"
 DXMCCS21  "Multi-Level CCS:  Diagnosis 21"
 DXMCCS22  "Multi-Level CCS:  Diagnosis 22"
 DXMCCS23  "Multi-Level CCS:  Diagnosis 23"
 DXMCCS24  "Multi-Level CCS:  Diagnosis 24"
 DXMCCS25  "Multi-Level CCS:  Diagnosis 25"
 E_MCCS1   "Multi-Level CCS:  E Code 1"
 E_MCCS2   "Multi-Level CCS:  E Code 2"
 E_MCCS3   "Multi-Level CCS:  E Code 3"
 E_MCCS4   "Multi-Level CCS:  E Code 4"
 E_MCCS5   "Multi-Level CCS:  E Code 5"
 E_MCCS6   "Multi-Level CCS:  E Code 6"
 E_MCCS7   "Multi-Level CCS:  E Code 7"
 KEY       "HCUP record identifier"
 PCLASS1   "Procedure class 1"
 PCLASS2   "Procedure class 2"
 PCLASS3   "Procedure class 3"
 PCLASS4   "Procedure class 4"
 PCLASS5   "Procedure class 5"
 PCLASS6   "Procedure class 6"
 PCLASS7   "Procedure class 7"
 PCLASS8   "Procedure class 8"
 PCLASS9   "Procedure class 9"
 PCLASS10  "Procedure class 10"
 PCLASS11  "Procedure class 11"
 PCLASS12  "Procedure class 12"
 PCLASS13  "Procedure class 13"
 PCLASS14  "Procedure class 14"
 PCLASS15  "Procedure class 15"
 PCLASS16  "Procedure class 16"
 PCLASS17  "Procedure class 17"
 PCLASS18  "Procedure class 18"
 PCLASS19  "Procedure class 19"
 PCLASS20  "Procedure class 20"
 PCLASS21  "Procedure class 21"
 PCLASS22  "Procedure class 22"
 PCLASS23  "Procedure class 23"
 PCLASS24  "Procedure class 24"
 PRMCCS1   "Multi-Level CCS:  Procedure 1"
 PRMCCS2   "Multi-Level CCS:  Procedure 2"
 PRMCCS3   "Multi-Level CCS:  Procedure 3"
 PRMCCS4   "Multi-Level CCS:  Procedure 4"
 PRMCCS5   "Multi-Level CCS:  Procedure 5"
 PRMCCS6   "Multi-Level CCS:  Procedure 6"
 PRMCCS7   "Multi-Level CCS:  Procedure 7"
 PRMCCS8   "Multi-Level CCS:  Procedure 8"
 PRMCCS9   "Multi-Level CCS:  Procedure 9"
 PRMCCS10  "Multi-Level CCS:  Procedure 10"
 PRMCCS11  "Multi-Level CCS:  Procedure 11"
 PRMCCS12  "Multi-Level CCS:  Procedure 12"
 PRMCCS13  "Multi-Level CCS:  Procedure 13"
 PRMCCS14  "Multi-Level CCS:  Procedure 14"
 PRMCCS15  "Multi-Level CCS:  Procedure 15"
 PRMCCS16  "Multi-Level CCS:  Procedure 16"
 PRMCCS17  "Multi-Level CCS:  Procedure 17"
 PRMCCS18  "Multi-Level CCS:  Procedure 18"
 PRMCCS19  "Multi-Level CCS:  Procedure 19"
 PRMCCS20  "Multi-Level CCS:  Procedure 20"
 PRMCCS21  "Multi-Level CCS:  Procedure 21"
 PRMCCS22  "Multi-Level CCS:  Procedure 22"
 PRMCCS23  "Multi-Level CCS:  Procedure 23"
 PRMCCS24  "Multi-Level CCS:  Procedure 24"
 U_BLOOD   "Utilization Flag: Blood"
 U_CATH    "Utilization Flag: Cardiac Catheterization Lab"
 U_CCU     "Utilization Flag: Coronary Care Unit (CCU)"
 U_CHESTX  "Utilization Flag: Chest X-Ray"
 U_CTSCAN  "Utilization Flag: Computed Tomography Scan"
 U_DIALYS  "Utilization Flag: Renal Dialysis"
 U_ECHO    "Utilization Flag: Echocardiology"
 U_ED      "Utilization Flag: Emergency Room"
 U_EEG     "Utilization Flag: Electroencephalogram"
 U_EKG     "Utilization Flag: Electrocardiogram"
 U_EPO     "Utilization Flag: EPO"
 U_ICU     "Utilization Flag: Intensive Care Unit (ICU)"
 U_LITHOT  "Utilization Flag: Lithotripsy"
 U_MHSA    "Utilization Flag: Mental Health and Substance Abuse"
 U_MRT     "Utilization Flag: Medical Resonance Technology"
 U_NEWBN2  "Utilization Flag: Nursery Level II"
 U_NEWBN3  "Utilization Flag: Nursery Level III"
 U_NEWBN4  "Utilization Flag: Nursery Level IV"
 U_NUCMED  "Utilization Flag: Nuclear Medicine"
 U_OBSERV  "Utilization Flag: Observation Room"
 U_OCCTHE  "Utilization Flag: Occupational Therapy"
 U_ORGANA  "Utilization Flag: Organ Acquisition"
 U_OTHIMP  "Utilization Flag: Other Implants"
 U_PACEMA  "Utilization Flag: Pacemaker"
 U_PHYTHE  "Utilization Flag: Physical Therapy"
 U_RADTHE  "Utilization Flag: Radiology - Therapeutic and/or Chemotherapy Administration"
 U_RESPTH  "Utilization Flag: Respiratory Services"
 U_SPEECH  "Utilization Flag: Speech - Language Pathology"
 U_STRESS  "Utilization Flag: Cardiac Stress Test"
 U_ULTRAS  "Utilization Flag: Ultrasound" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE CHRON1
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON2
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON3
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON4
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON5
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON6
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON7
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON8
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON9
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON10
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON11
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON12
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON13
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON14
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON15
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON16
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON17
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON18
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON19
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON20
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON21
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON22
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON23
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON24
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON25
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB1
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB2
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB3
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB4
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB5
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB6
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB7
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB8
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB9
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB10
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB11
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB12
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB13
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB14
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB15
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB16
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB17
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB18
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB19
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB20
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB21
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB22
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB23
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB24
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB25
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS1
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS2
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS3
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS4
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS5
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS6
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS7
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS8
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS9
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS10
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS11
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS12
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS13
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS14
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS15
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS16
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS17
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS18
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS19
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS20
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS21
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS22
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS23
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS24
 (-9,-8,-6,-5=SYSMIS).
RECODE U_BLOOD
 (-9,-8,-6,-5=SYSMIS).
RECODE U_CATH
 (-9,-8,-6,-5=SYSMIS).
RECODE U_CCU
 (-9,-8,-6,-5=SYSMIS).
RECODE U_CHESTX
 (-9,-8,-6,-5=SYSMIS).
RECODE U_CTSCAN
 (-9,-8,-6,-5=SYSMIS).
RECODE U_DIALYS
 (-9,-8,-6,-5=SYSMIS).
RECODE U_ECHO
 (-9,-8,-6,-5=SYSMIS).
RECODE U_ED
 (-9,-8,-6,-5=SYSMIS).
RECODE U_EEG
 (-9,-8,-6,-5=SYSMIS).
RECODE U_EKG
 (-9,-8,-6,-5=SYSMIS).
RECODE U_EPO
 (-9,-8,-6,-5=SYSMIS).
RECODE U_ICU
 (-9,-8,-6,-5=SYSMIS).
RECODE U_LITHOT
 (-9,-8,-6,-5=SYSMIS).
RECODE U_MHSA
 (-9,-8,-6,-5=SYSMIS).
RECODE U_MRT
 (-9,-8,-6,-5=SYSMIS).
RECODE U_NEWBN2
 (-9,-8,-6,-5=SYSMIS).
RECODE U_NEWBN3
 (-9,-8,-6,-5=SYSMIS).
RECODE U_NEWBN4
 (-9,-8,-6,-5=SYSMIS).
RECODE U_NUCMED
 (-9,-8,-6,-5=SYSMIS).
RECODE U_OBSERV
 (-9,-8,-6,-5=SYSMIS).
RECODE U_OCCTHE
 (-9,-8,-6,-5=SYSMIS).
RECODE U_ORGANA
 (-9,-8,-6,-5=SYSMIS).
RECODE U_OTHIMP
 (-9,-8,-6,-5=SYSMIS).
RECODE U_PACEMA
 (-9,-8,-6,-5=SYSMIS).
RECODE U_PHYTHE
 (-9,-8,-6,-5=SYSMIS).
RECODE U_RADTHE
 (-9,-8,-6,-5=SYSMIS).
RECODE U_RESPTH
 (-9,-8,-6,-5=SYSMIS).
RECODE U_SPEECH
 (-9,-8,-6,-5=SYSMIS).
RECODE U_STRESS
 (-9,-8,-6,-5=SYSMIS).
RECODE U_ULTRAS
 (-9,-8,-6,-5=SYSMIS).



SAVE OUTFILE = 'NJ_SID_2008_DX_PR_GRPS.SAV' /COMPRESSED.
