/*******************************************************************
*   NV_SID_2006_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CHGS FILE INTO SPSS                         
*******************************************************************/


*******************************.
*  Define the data file       *.
*******************************.

DATA LIST FILE = 'NV_SID_2006_CHGS.ASC' FIXED / 
 KEY                        1-  14
 NREVCD                    15-  16
 REVCD1                    17-  20 (A)
 REVCD2                    21-  24 (A)
 REVCD3                    25-  28 (A)
 REVCD4                    29-  32 (A)
 REVCD5                    33-  36 (A)
 REVCD6                    37-  40 (A)
 REVCD7                    41-  44 (A)
 REVCD8                    45-  48 (A)
 REVCD9                    49-  52 (A)
 REVCD10                   53-  56 (A)
 REVCD11                   57-  60 (A)
 REVCD12                   61-  64 (A)
 REVCD13                   65-  68 (A)
 REVCD14                   69-  72 (A)
 REVCD15                   73-  76 (A)
 REVCD16                   77-  80 (A)
 REVCD17                   81-  84 (A)
 REVCD18                   85-  88 (A)
 REVCD19                   89-  92 (A)
 REVCD20                   93-  96 (A)
 REVCD21                   97- 100 (A)
 REVCD22                  101- 104 (A)
 REVCD23                  105- 108 (A)
 REVCD24                  109- 112 (A)
 REVCD25                  113- 116 (A)
 REVCD26                  117- 120 (A)
 REVCD27                  121- 124 (A)
 REVCD28                  125- 128 (A)
 REVCD29                  129- 132 (A)
 REVCD30                  133- 136 (A)
 REVCD31                  137- 140 (A)
 REVCD32                  141- 144 (A)
 REVCD33                  145- 148 (A)
 REVCD34                  149- 152 (A)
 REVCD35                  153- 156 (A)
 REVCD36                  157- 160 (A)
 REVCD37                  161- 164 (A)
 REVCD38                  165- 168 (A)
 REVCD39                  169- 172 (A)
 REVCD40                  173- 176 (A)
 REVCD41                  177- 180 (A)
 REVCD42                  181- 184 (A)
 REVCD43                  185- 188 (A)
 REVCD44                  189- 192 (A)
 REVCD45                  193- 196 (A)
 REVCD46                  197- 200 (A)
 REVCD47                  201- 204 (A)
 REVCD48                  205- 208 (A)
 REVCD49                  209- 212 (A)
 REVCD50                  213- 216 (A)
 REVCD51                  217- 220 (A)
 REVCD52                  221- 224 (A)
 REVCD53                  225- 228 (A)
 REVCD54                  229- 232 (A)
 REVCD55                  233- 236 (A)
 REVCD56                  237- 240 (A)
 REVCD57                  241- 244 (A)
 REVCD58                  245- 248 (A)
 REVCHG1                  249- 260
 REVCHG2                  261- 272
 REVCHG3                  273- 284
 REVCHG4                  285- 296
 REVCHG5                  297- 308
 REVCHG6                  309- 320
 REVCHG7                  321- 332
 REVCHG8                  333- 344
 REVCHG9                  345- 356
 REVCHG10                 357- 368
 REVCHG11                 369- 380
 REVCHG12                 381- 392
 REVCHG13                 393- 404
 REVCHG14                 405- 416
 REVCHG15                 417- 428
 REVCHG16                 429- 440
 REVCHG17                 441- 452
 REVCHG18                 453- 464
 REVCHG19                 465- 476
 REVCHG20                 477- 488
 REVCHG21                 489- 500
 REVCHG22                 501- 512
 REVCHG23                 513- 524
 REVCHG24                 525- 536
 REVCHG25                 537- 548
 REVCHG26                 549- 560
 REVCHG27                 561- 572
 REVCHG28                 573- 584
 REVCHG29                 585- 596
 REVCHG30                 597- 608
 REVCHG31                 609- 620
 REVCHG32                 621- 632
 REVCHG33                 633- 644
 REVCHG34                 645- 656
 REVCHG35                 657- 668
 REVCHG36                 669- 680
 REVCHG37                 681- 692
 REVCHG38                 693- 704
 REVCHG39                 705- 716
 REVCHG40                 717- 728
 REVCHG41                 729- 740
 REVCHG42                 741- 752
 REVCHG43                 753- 764
 REVCHG44                 765- 776
 REVCHG45                 777- 788
 REVCHG46                 789- 800
 REVCHG47                 801- 812
 REVCHG48                 813- 824
 REVCHG49                 825- 836
 REVCHG50                 837- 848
 REVCHG51                 849- 860
 REVCHG52                 861- 872
 REVCHG53                 873- 884
 REVCHG54                 885- 896
 REVCHG55                 897- 908
 REVCHG56                 909- 920
 REVCHG57                 921- 932
 REVCHG58                 933- 944
 UNIT1                    945- 952
 UNIT2                    953- 960
 UNIT3                    961- 968
 UNIT4                    969- 976
 UNIT5                    977- 984
 UNIT6                    985- 992
 UNIT7                    993-1000
 UNIT8                   1001-1008
 UNIT9                   1009-1016
 UNIT10                  1017-1024
 UNIT11                  1025-1032
 UNIT12                  1033-1040
 UNIT13                  1041-1048
 UNIT14                  1049-1056
 UNIT15                  1057-1064
 UNIT16                  1065-1072
 UNIT17                  1073-1080
 UNIT18                  1081-1088
 UNIT19                  1089-1096
 UNIT20                  1097-1104
 UNIT21                  1105-1112
 UNIT22                  1113-1120
 UNIT23                  1121-1128
 UNIT24                  1129-1136
 UNIT25                  1137-1144
 UNIT26                  1145-1152
 UNIT27                  1153-1160
 UNIT28                  1161-1168
 UNIT29                  1169-1176
 UNIT30                  1177-1184
 UNIT31                  1185-1192
 UNIT32                  1193-1200
 UNIT33                  1201-1208
 UNIT34                  1209-1216
 UNIT35                  1217-1224
 UNIT36                  1225-1232
 UNIT37                  1233-1240
 UNIT38                  1241-1248
 UNIT39                  1249-1256
 UNIT40                  1257-1264
 UNIT41                  1265-1272
 UNIT42                  1273-1280
 UNIT43                  1281-1288
 UNIT44                  1289-1296
 UNIT45                  1297-1304
 UNIT46                  1305-1312
 UNIT47                  1313-1320
 UNIT48                  1321-1328
 UNIT49                  1329-1336
 UNIT50                  1337-1344
 UNIT51                  1345-1352
 UNIT52                  1353-1360
 UNIT53                  1361-1368
 UNIT54                  1369-1376
 UNIT55                  1377-1384
 UNIT56                  1385-1392
 UNIT57                  1393-1400
 UNIT58                  1401-1408.


***  Specify write formats  ***.
FORMATS
 KEY                     (F8.0) /
 NREVCD                  (F3.0) /
 REVCHG1                 (F6.2) /
 REVCHG2                 (F6.2) /
 REVCHG3                 (F6.2) /
 REVCHG4                 (F6.2) /
 REVCHG5                 (F6.2) /
 REVCHG6                 (F6.2) /
 REVCHG7                 (F6.2) /
 REVCHG8                 (F6.2) /
 REVCHG9                 (F6.2) /
 REVCHG10                (F6.2) /
 REVCHG11                (F6.2) /
 REVCHG12                (F6.2) /
 REVCHG13                (F6.2) /
 REVCHG14                (F6.2) /
 REVCHG15                (F6.2) /
 REVCHG16                (F6.2) /
 REVCHG17                (F6.2) /
 REVCHG18                (F6.2) /
 REVCHG19                (F6.2) /
 REVCHG20                (F6.2) /
 REVCHG21                (F6.2) /
 REVCHG22                (F6.2) /
 REVCHG23                (F6.2) /
 REVCHG24                (F6.2) /
 REVCHG25                (F6.2) /
 REVCHG26                (F6.2) /
 REVCHG27                (F6.2) /
 REVCHG28                (F6.2) /
 REVCHG29                (F6.2) /
 REVCHG30                (F6.2) /
 REVCHG31                (F6.2) /
 REVCHG32                (F6.2) /
 REVCHG33                (F6.2) /
 REVCHG34                (F6.2) /
 REVCHG35                (F6.2) /
 REVCHG36                (F6.2) /
 REVCHG37                (F6.2) /
 REVCHG38                (F6.2) /
 REVCHG39                (F6.2) /
 REVCHG40                (F6.2) /
 REVCHG41                (F6.2) /
 REVCHG42                (F6.2) /
 REVCHG43                (F6.2) /
 REVCHG44                (F6.2) /
 REVCHG45                (F6.2) /
 REVCHG46                (F6.2) /
 REVCHG47                (F6.2) /
 REVCHG48                (F6.2) /
 REVCHG49                (F6.2) /
 REVCHG50                (F6.2) /
 REVCHG51                (F6.2) /
 REVCHG52                (F6.2) /
 REVCHG53                (F6.2) /
 REVCHG54                (F6.2) /
 REVCHG55                (F6.2) /
 REVCHG56                (F6.2) /
 REVCHG57                (F6.2) /
 REVCHG58                (F6.2) /
 UNIT1                   (F4.0) /
 UNIT2                   (F4.0) /
 UNIT3                   (F4.0) /
 UNIT4                   (F4.0) /
 UNIT5                   (F4.0) /
 UNIT6                   (F4.0) /
 UNIT7                   (F4.0) /
 UNIT8                   (F4.0) /
 UNIT9                   (F4.0) /
 UNIT10                  (F4.0) /
 UNIT11                  (F4.0) /
 UNIT12                  (F4.0) /
 UNIT13                  (F4.0) /
 UNIT14                  (F4.0) /
 UNIT15                  (F4.0) /
 UNIT16                  (F4.0) /
 UNIT17                  (F4.0) /
 UNIT18                  (F4.0) /
 UNIT19                  (F4.0) /
 UNIT20                  (F4.0) /
 UNIT21                  (F4.0) /
 UNIT22                  (F4.0) /
 UNIT23                  (F4.0) /
 UNIT24                  (F4.0) /
 UNIT25                  (F4.0) /
 UNIT26                  (F4.0) /
 UNIT27                  (F4.0) /
 UNIT28                  (F4.0) /
 UNIT29                  (F4.0) /
 UNIT30                  (F4.0) /
 UNIT31                  (F4.0) /
 UNIT32                  (F4.0) /
 UNIT33                  (F4.0) /
 UNIT34                  (F4.0) /
 UNIT35                  (F4.0) /
 UNIT36                  (F4.0) /
 UNIT37                  (F4.0) /
 UNIT38                  (F4.0) /
 UNIT39                  (F4.0) /
 UNIT40                  (F4.0) /
 UNIT41                  (F4.0) /
 UNIT42                  (F4.0) /
 UNIT43                  (F4.0) /
 UNIT44                  (F4.0) /
 UNIT45                  (F4.0) /
 UNIT46                  (F4.0) /
 UNIT47                  (F4.0) /
 UNIT48                  (F4.0) /
 UNIT49                  (F4.0) /
 UNIT50                  (F4.0) /
 UNIT51                  (F4.0) /
 UNIT52                  (F4.0) /
 UNIT53                  (F4.0) /
 UNIT54                  (F4.0) /
 UNIT55                  (F4.0) /
 UNIT56                  (F4.0) /
 UNIT57                  (F4.0) /
 UNIT58                  (F4.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 KEY       "HCUP record identifier"
 NREVCD    "Number of revenue codes for this discharge"
 REVCD1    "Revenue code 1 (as received from source)"
 REVCD2    "Revenue code 2 (as received from source)"
 REVCD3    "Revenue code 3 (as received from source)"
 REVCD4    "Revenue code 4 (as received from source)"
 REVCD5    "Revenue code 5 (as received from source)"
 REVCD6    "Revenue code 6 (as received from source)"
 REVCD7    "Revenue code 7 (as received from source)"
 REVCD8    "Revenue code 8 (as received from source)"
 REVCD9    "Revenue code 9 (as received from source)"
 REVCD10   "Revenue code 10 (as received from source)"
 REVCD11   "Revenue code 11 (as received from source)"
 REVCD12   "Revenue code 12 (as received from source)"
 REVCD13   "Revenue code 13 (as received from source)"
 REVCD14   "Revenue code 14 (as received from source)"
 REVCD15   "Revenue code 15 (as received from source)"
 REVCD16   "Revenue code 16 (as received from source)"
 REVCD17   "Revenue code 17 (as received from source)"
 REVCD18   "Revenue code 18 (as received from source)"
 REVCD19   "Revenue code 19 (as received from source)"
 REVCD20   "Revenue code 20 (as received from source)"
 REVCD21   "Revenue code 21 (as received from source)"
 REVCD22   "Revenue code 22 (as received from source)"
 REVCD23   "Revenue code 23 (as received from source)"
 REVCD24   "Revenue code 24 (as received from source)"
 REVCD25   "Revenue code 25 (as received from source)"
 REVCD26   "Revenue code 26 (as received from source)"
 REVCD27   "Revenue code 27 (as received from source)"
 REVCD28   "Revenue code 28 (as received from source)"
 REVCD29   "Revenue code 29 (as received from source)"
 REVCD30   "Revenue code 30 (as received from source)"
 REVCD31   "Revenue code 31 (as received from source)"
 REVCD32   "Revenue code 32 (as received from source)"
 REVCD33   "Revenue code 33 (as received from source)"
 REVCD34   "Revenue code 34 (as received from source)"
 REVCD35   "Revenue code 35 (as received from source)"
 REVCD36   "Revenue code 36 (as received from source)"
 REVCD37   "Revenue code 37 (as received from source)"
 REVCD38   "Revenue code 38 (as received from source)"
 REVCD39   "Revenue code 39 (as received from source)"
 REVCD40   "Revenue code 40 (as received from source)"
 REVCD41   "Revenue code 41 (as received from source)"
 REVCD42   "Revenue code 42 (as received from source)"
 REVCD43   "Revenue code 43 (as received from source)"
 REVCD44   "Revenue code 44 (as received from source)"
 REVCD45   "Revenue code 45 (as received from source)"
 REVCD46   "Revenue code 46 (as received from source)"
 REVCD47   "Revenue code 47 (as received from source)"
 REVCD48   "Revenue code 48 (as received from source)"
 REVCD49   "Revenue code 49 (as received from source)"
 REVCD50   "Revenue code 50 (as received from source)"
 REVCD51   "Revenue code 51 (as received from source)"
 REVCD52   "Revenue code 52 (as received from source)"
 REVCD53   "Revenue code 53 (as received from source)"
 REVCD54   "Revenue code 54 (as received from source)"
 REVCD55   "Revenue code 55 (as received from source)"
 REVCD56   "Revenue code 56 (as received from source)"
 REVCD57   "Revenue code 57 (as received from source)"
 REVCD58   "Revenue code 58 (as received from source)"
 REVCHG1   "Detailed charges for revenue code 1 (as received from source)"
 REVCHG2   "Detailed charges for revenue code 2 (as received from source)"
 REVCHG3   "Detailed charges for revenue code 3 (as received from source)"
 REVCHG4   "Detailed charges for revenue code 4 (as received from source)"
 REVCHG5   "Detailed charges for revenue code 5 (as received from source)"
 REVCHG6   "Detailed charges for revenue code 6 (as received from source)"
 REVCHG7   "Detailed charges for revenue code 7 (as received from source)"
 REVCHG8   "Detailed charges for revenue code 8 (as received from source)"
 REVCHG9   "Detailed charges for revenue code 9 (as received from source)"
 REVCHG10  "Detailed charges for revenue code 10 (as received from source)"
 REVCHG11  "Detailed charges for revenue code 11 (as received from source)"
 REVCHG12  "Detailed charges for revenue code 12 (as received from source)"
 REVCHG13  "Detailed charges for revenue code 13 (as received from source)"
 REVCHG14  "Detailed charges for revenue code 14 (as received from source)"
 REVCHG15  "Detailed charges for revenue code 15 (as received from source)"
 REVCHG16  "Detailed charges for revenue code 16 (as received from source)"
 REVCHG17  "Detailed charges for revenue code 17 (as received from source)"
 REVCHG18  "Detailed charges for revenue code 18 (as received from source)"
 REVCHG19  "Detailed charges for revenue code 19 (as received from source)"
 REVCHG20  "Detailed charges for revenue code 20 (as received from source)"
 REVCHG21  "Detailed charges for revenue code 21 (as received from source)"
 REVCHG22  "Detailed charges for revenue code 22 (as received from source)"
 REVCHG23  "Detailed charges for revenue code 23 (as received from source)"
 REVCHG24  "Detailed charges for revenue code 24 (as received from source)"
 REVCHG25  "Detailed charges for revenue code 25 (as received from source)"
 REVCHG26  "Detailed charges for revenue code 26 (as received from source)"
 REVCHG27  "Detailed charges for revenue code 27 (as received from source)"
 REVCHG28  "Detailed charges for revenue code 28 (as received from source)"
 REVCHG29  "Detailed charges for revenue code 29 (as received from source)"
 REVCHG30  "Detailed charges for revenue code 30 (as received from source)"
 REVCHG31  "Detailed charges for revenue code 31 (as received from source)"
 REVCHG32  "Detailed charges for revenue code 32 (as received from source)"
 REVCHG33  "Detailed charges for revenue code 33 (as received from source)"
 REVCHG34  "Detailed charges for revenue code 34 (as received from source)"
 REVCHG35  "Detailed charges for revenue code 35 (as received from source)"
 REVCHG36  "Detailed charges for revenue code 36 (as received from source)"
 REVCHG37  "Detailed charges for revenue code 37 (as received from source)"
 REVCHG38  "Detailed charges for revenue code 38 (as received from source)"
 REVCHG39  "Detailed charges for revenue code 39 (as received from source)"
 REVCHG40  "Detailed charges for revenue code 40 (as received from source)"
 REVCHG41  "Detailed charges for revenue code 41 (as received from source)"
 REVCHG42  "Detailed charges for revenue code 42 (as received from source)"
 REVCHG43  "Detailed charges for revenue code 43 (as received from source)"
 REVCHG44  "Detailed charges for revenue code 44 (as received from source)"
 REVCHG45  "Detailed charges for revenue code 45 (as received from source)"
 REVCHG46  "Detailed charges for revenue code 46 (as received from source)"
 REVCHG47  "Detailed charges for revenue code 47 (as received from source)"
 REVCHG48  "Detailed charges for revenue code 48 (as received from source)"
 REVCHG49  "Detailed charges for revenue code 49 (as received from source)"
 REVCHG50  "Detailed charges for revenue code 50 (as received from source)"
 REVCHG51  "Detailed charges for revenue code 51 (as received from source)"
 REVCHG52  "Detailed charges for revenue code 52 (as received from source)"
 REVCHG53  "Detailed charges for revenue code 53 (as received from source)"
 REVCHG54  "Detailed charges for revenue code 54 (as received from source)"
 REVCHG55  "Detailed charges for revenue code 55 (as received from source)"
 REVCHG56  "Detailed charges for revenue code 56 (as received from source)"
 REVCHG57  "Detailed charges for revenue code 57 (as received from source)"
 REVCHG58  "Detailed charges for revenue code 58 (as received from source)"
 UNIT1     "Units of service 1 (as received from source)"
 UNIT2     "Units of service 2 (as received from source)"
 UNIT3     "Units of service 3 (as received from source)"
 UNIT4     "Units of service 4 (as received from source)"
 UNIT5     "Units of service 5 (as received from source)"
 UNIT6     "Units of service 6 (as received from source)"
 UNIT7     "Units of service 7 (as received from source)"
 UNIT8     "Units of service 8 (as received from source)"
 UNIT9     "Units of service 9 (as received from source)"
 UNIT10    "Units of service 10 (as received from source)"
 UNIT11    "Units of service 11 (as received from source)"
 UNIT12    "Units of service 12 (as received from source)"
 UNIT13    "Units of service 13 (as received from source)"
 UNIT14    "Units of service 14 (as received from source)"
 UNIT15    "Units of service 15 (as received from source)"
 UNIT16    "Units of service 16 (as received from source)"
 UNIT17    "Units of service 17 (as received from source)"
 UNIT18    "Units of service 18 (as received from source)"
 UNIT19    "Units of service 19 (as received from source)"
 UNIT20    "Units of service 20 (as received from source)"
 UNIT21    "Units of service 21 (as received from source)"
 UNIT22    "Units of service 22 (as received from source)"
 UNIT23    "Units of service 23 (as received from source)"
 UNIT24    "Units of service 24 (as received from source)"
 UNIT25    "Units of service 25 (as received from source)"
 UNIT26    "Units of service 26 (as received from source)"
 UNIT27    "Units of service 27 (as received from source)"
 UNIT28    "Units of service 28 (as received from source)"
 UNIT29    "Units of service 29 (as received from source)"
 UNIT30    "Units of service 30 (as received from source)"
 UNIT31    "Units of service 31 (as received from source)"
 UNIT32    "Units of service 32 (as received from source)"
 UNIT33    "Units of service 33 (as received from source)"
 UNIT34    "Units of service 34 (as received from source)"
 UNIT35    "Units of service 35 (as received from source)"
 UNIT36    "Units of service 36 (as received from source)"
 UNIT37    "Units of service 37 (as received from source)"
 UNIT38    "Units of service 38 (as received from source)"
 UNIT39    "Units of service 39 (as received from source)"
 UNIT40    "Units of service 40 (as received from source)"
 UNIT41    "Units of service 41 (as received from source)"
 UNIT42    "Units of service 42 (as received from source)"
 UNIT43    "Units of service 43 (as received from source)"
 UNIT44    "Units of service 44 (as received from source)"
 UNIT45    "Units of service 45 (as received from source)"
 UNIT46    "Units of service 46 (as received from source)"
 UNIT47    "Units of service 47 (as received from source)"
 UNIT48    "Units of service 48 (as received from source)"
 UNIT49    "Units of service 49 (as received from source)"
 UNIT50    "Units of service 50 (as received from source)"
 UNIT51    "Units of service 51 (as received from source)"
 UNIT52    "Units of service 52 (as received from source)"
 UNIT53    "Units of service 53 (as received from source)"
 UNIT54    "Units of service 54 (as received from source)"
 UNIT55    "Units of service 55 (as received from source)"
 UNIT56    "Units of service 56 (as received from source)"
 UNIT57    "Units of service 57 (as received from source)"
 UNIT58    "Units of service 58 (as received from source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE NREVCD
 (-9,-8,-6,-5=SYSMIS).
RECODE REVCHG1
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG2
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG3
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG4
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG5
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG6
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG7
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG8
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG9
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG10
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG11
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG12
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG13
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG14
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG15
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG16
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG17
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG18
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG19
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG20
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG21
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG22
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG23
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG24
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG25
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG26
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG27
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG28
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG29
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG30
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG31
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG32
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG33
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG34
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG35
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG36
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG37
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG38
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG39
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG40
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG41
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG42
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG43
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG44
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG45
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG46
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG47
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG48
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG49
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG50
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG51
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG52
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG53
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG54
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG55
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG56
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG57
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG58
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE UNIT1
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT2
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT3
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT4
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT5
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT6
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT7
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT8
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT9
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT10
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT11
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT12
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT13
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT14
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT15
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT16
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT17
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT18
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT19
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT20
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT21
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT22
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT23
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT24
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT25
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT26
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT27
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT28
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT29
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT30
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT31
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT32
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT33
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT34
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT35
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT36
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT37
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT38
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT39
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT40
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT41
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT42
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT43
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT44
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT45
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT46
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT47
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT48
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT49
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT50
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT51
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT52
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT53
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT54
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT55
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT56
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT57
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT58
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).



SAVE OUTFILE = 'NV_SID_2006_CHGS.SAV' /COMPRESSED.
