/*******************************************************************
* Creation Date: 08/13/2018   
*   WA_SID_2016_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CHGS FILE INTO SPSS                         
*******************************************************************/


***************************************************************;
* ----------------------------------------------------------- *;
* |  NOTICE: Use of HCUP data constitutes acceptance of the | *;
* |  terms and conditions of the HCUP Data Use Agreement.   | *;
* ----------------------------------------------------------- *;
***************************************************************;


********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************.

DATA LIST FILE = 'WA_SID_2016_CHGS.ASC' FIXED SKIP=2 / 
 KEY                             1-  15
 NREVCD                         16-  18
 REVCD1                         19-  22 (A)
 REVCD2                         23-  26 (A)
 REVCD3                         27-  30 (A)
 REVCD4                         31-  34 (A)
 REVCD5                         35-  38 (A)
 REVCD6                         39-  42 (A)
 REVCD7                         43-  46 (A)
 REVCD8                         47-  50 (A)
 REVCD9                         51-  54 (A)
 REVCD10                        55-  58 (A)
 REVCD11                        59-  62 (A)
 REVCD12                        63-  66 (A)
 REVCD13                        67-  70 (A)
 REVCD14                        71-  74 (A)
 REVCD15                        75-  78 (A)
 REVCD16                        79-  82 (A)
 REVCD17                        83-  86 (A)
 REVCD18                        87-  90 (A)
 REVCD19                        91-  94 (A)
 REVCD20                        95-  98 (A)
 REVCD21                        99- 102 (A)
 REVCD22                       103- 106 (A)
 REVCD23                       107- 110 (A)
 REVCD24                       111- 114 (A)
 REVCD25                       115- 118 (A)
 REVCD26                       119- 122 (A)
 REVCD27                       123- 126 (A)
 REVCD28                       127- 130 (A)
 REVCD29                       131- 134 (A)
 REVCD30                       135- 138 (A)
 REVCD31                       139- 142 (A)
 REVCD32                       143- 146 (A)
 REVCD33                       147- 150 (A)
 REVCD34                       151- 154 (A)
 REVCD35                       155- 158 (A)
 REVCD36                       159- 162 (A)
 REVCD37                       163- 166 (A)
 REVCD38                       167- 170 (A)
 REVCD39                       171- 174 (A)
 REVCD40                       175- 178 (A)
 REVCD41                       179- 182 (A)
 REVCD42                       183- 186 (A)
 REVCD43                       187- 190 (A)
 REVCD44                       191- 194 (A)
 REVCD45                       195- 198 (A)
 REVCD46                       199- 202 (A)
 REVCD47                       203- 206 (A)
 REVCD48                       207- 210 (A)
 REVCD49                       211- 214 (A)
 REVCD50                       215- 218 (A)
 REVCD51                       219- 222 (A)
 REVCD52                       223- 226 (A)
 REVCD53                       227- 230 (A)
 REVCD54                       231- 234 (A)
 REVCD55                       235- 238 (A)
 REVCD56                       239- 242 (A)
 REVCHG1                       243- 254
 REVCHG2                       255- 266
 REVCHG3                       267- 278
 REVCHG4                       279- 290
 REVCHG5                       291- 302
 REVCHG6                       303- 314
 REVCHG7                       315- 326
 REVCHG8                       327- 338
 REVCHG9                       339- 350
 REVCHG10                      351- 362
 REVCHG11                      363- 374
 REVCHG12                      375- 386
 REVCHG13                      387- 398
 REVCHG14                      399- 410
 REVCHG15                      411- 422
 REVCHG16                      423- 434
 REVCHG17                      435- 446
 REVCHG18                      447- 458
 REVCHG19                      459- 470
 REVCHG20                      471- 482
 REVCHG21                      483- 494
 REVCHG22                      495- 506
 REVCHG23                      507- 518
 REVCHG24                      519- 530
 REVCHG25                      531- 542
 REVCHG26                      543- 554
 REVCHG27                      555- 566
 REVCHG28                      567- 578
 REVCHG29                      579- 590
 REVCHG30                      591- 602
 REVCHG31                      603- 614
 REVCHG32                      615- 626
 REVCHG33                      627- 638
 REVCHG34                      639- 650
 REVCHG35                      651- 662
 REVCHG36                      663- 674
 REVCHG37                      675- 686
 REVCHG38                      687- 698
 REVCHG39                      699- 710
 REVCHG40                      711- 722
 REVCHG41                      723- 734
 REVCHG42                      735- 746
 REVCHG43                      747- 758
 REVCHG44                      759- 770
 REVCHG45                      771- 782
 REVCHG46                      783- 794
 REVCHG47                      795- 806
 REVCHG48                      807- 818
 REVCHG49                      819- 830
 REVCHG50                      831- 842
 REVCHG51                      843- 854
 REVCHG52                      855- 866
 REVCHG53                      867- 878
 REVCHG54                      879- 890
 REVCHG55                      891- 902
 REVCHG56                      903- 914
 UNIT1                         915- 922
 UNIT2                         923- 930
 UNIT3                         931- 938
 UNIT4                         939- 946
 UNIT5                         947- 954
 UNIT6                         955- 962
 UNIT7                         963- 970
 UNIT8                         971- 978
 UNIT9                         979- 986
 UNIT10                        987- 994
 UNIT11                        995-1002
 UNIT12                       1003-1010
 UNIT13                       1011-1018
 UNIT14                       1019-1026
 UNIT15                       1027-1034
 UNIT16                       1035-1042
 UNIT17                       1043-1050
 UNIT18                       1051-1058
 UNIT19                       1059-1066
 UNIT20                       1067-1074
 UNIT21                       1075-1082
 UNIT22                       1083-1090
 UNIT23                       1091-1098
 UNIT24                       1099-1106
 UNIT25                       1107-1114
 UNIT26                       1115-1122
 UNIT27                       1123-1130
 UNIT28                       1131-1138
 UNIT29                       1139-1146
 UNIT30                       1147-1154
 UNIT31                       1155-1162
 UNIT32                       1163-1170
 UNIT33                       1171-1178
 UNIT34                       1179-1186
 UNIT35                       1187-1194
 UNIT36                       1195-1202
 UNIT37                       1203-1210
 UNIT38                       1211-1218
 UNIT39                       1219-1226
 UNIT40                       1227-1234
 UNIT41                       1235-1242
 UNIT42                       1243-1250
 UNIT43                       1251-1258
 UNIT44                       1259-1266
 UNIT45                       1267-1274
 UNIT46                       1275-1282
 UNIT47                       1283-1290
 UNIT48                       1291-1298
 UNIT49                       1299-1306
 UNIT50                       1307-1314
 UNIT51                       1315-1322
 UNIT52                       1323-1330
 UNIT53                       1331-1338
 UNIT54                       1339-1346
 UNIT55                       1347-1354
 UNIT56                       1355-1362.


***  Specify write formats  ***.
FORMATS
 KEY                          (F8.0) /
 NREVCD                       (F3.0) /
 REVCHG1                      (F6.2) /
 REVCHG2                      (F6.2) /
 REVCHG3                      (F6.2) /
 REVCHG4                      (F6.2) /
 REVCHG5                      (F6.2) /
 REVCHG6                      (F6.2) /
 REVCHG7                      (F6.2) /
 REVCHG8                      (F6.2) /
 REVCHG9                      (F6.2) /
 REVCHG10                     (F6.2) /
 REVCHG11                     (F6.2) /
 REVCHG12                     (F6.2) /
 REVCHG13                     (F6.2) /
 REVCHG14                     (F6.2) /
 REVCHG15                     (F6.2) /
 REVCHG16                     (F6.2) /
 REVCHG17                     (F6.2) /
 REVCHG18                     (F6.2) /
 REVCHG19                     (F6.2) /
 REVCHG20                     (F6.2) /
 REVCHG21                     (F6.2) /
 REVCHG22                     (F6.2) /
 REVCHG23                     (F6.2) /
 REVCHG24                     (F6.2) /
 REVCHG25                     (F6.2) /
 REVCHG26                     (F6.2) /
 REVCHG27                     (F6.2) /
 REVCHG28                     (F6.2) /
 REVCHG29                     (F6.2) /
 REVCHG30                     (F6.2) /
 REVCHG31                     (F6.2) /
 REVCHG32                     (F6.2) /
 REVCHG33                     (F6.2) /
 REVCHG34                     (F6.2) /
 REVCHG35                     (F6.2) /
 REVCHG36                     (F6.2) /
 REVCHG37                     (F6.2) /
 REVCHG38                     (F6.2) /
 REVCHG39                     (F6.2) /
 REVCHG40                     (F6.2) /
 REVCHG41                     (F6.2) /
 REVCHG42                     (F6.2) /
 REVCHG43                     (F6.2) /
 REVCHG44                     (F6.2) /
 REVCHG45                     (F6.2) /
 REVCHG46                     (F6.2) /
 REVCHG47                     (F6.2) /
 REVCHG48                     (F6.2) /
 REVCHG49                     (F6.2) /
 REVCHG50                     (F6.2) /
 REVCHG51                     (F6.2) /
 REVCHG52                     (F6.2) /
 REVCHG53                     (F6.2) /
 REVCHG54                     (F6.2) /
 REVCHG55                     (F6.2) /
 REVCHG56                     (F6.2) /
 UNIT1                        (F4.2) /
 UNIT2                        (F4.2) /
 UNIT3                        (F4.2) /
 UNIT4                        (F4.2) /
 UNIT5                        (F4.2) /
 UNIT6                        (F4.2) /
 UNIT7                        (F4.2) /
 UNIT8                        (F4.2) /
 UNIT9                        (F4.2) /
 UNIT10                       (F4.2) /
 UNIT11                       (F4.2) /
 UNIT12                       (F4.2) /
 UNIT13                       (F4.2) /
 UNIT14                       (F4.2) /
 UNIT15                       (F4.2) /
 UNIT16                       (F4.2) /
 UNIT17                       (F4.2) /
 UNIT18                       (F4.2) /
 UNIT19                       (F4.2) /
 UNIT20                       (F4.2) /
 UNIT21                       (F4.2) /
 UNIT22                       (F4.2) /
 UNIT23                       (F4.2) /
 UNIT24                       (F4.2) /
 UNIT25                       (F4.2) /
 UNIT26                       (F4.2) /
 UNIT27                       (F4.2) /
 UNIT28                       (F4.2) /
 UNIT29                       (F4.2) /
 UNIT30                       (F4.2) /
 UNIT31                       (F4.2) /
 UNIT32                       (F4.2) /
 UNIT33                       (F4.2) /
 UNIT34                       (F4.2) /
 UNIT35                       (F4.2) /
 UNIT36                       (F4.2) /
 UNIT37                       (F4.2) /
 UNIT38                       (F4.2) /
 UNIT39                       (F4.2) /
 UNIT40                       (F4.2) /
 UNIT41                       (F4.2) /
 UNIT42                       (F4.2) /
 UNIT43                       (F4.2) /
 UNIT44                       (F4.2) /
 UNIT45                       (F4.2) /
 UNIT46                       (F4.2) /
 UNIT47                       (F4.2) /
 UNIT48                       (F4.2) /
 UNIT49                       (F4.2) /
 UNIT50                       (F4.2) /
 UNIT51                       (F4.2) /
 UNIT52                       (F4.2) /
 UNIT53                       (F4.2) /
 UNIT54                       (F4.2) /
 UNIT55                       (F4.2) /
 UNIT56                       (F4.2) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 KEY                          "HCUP record identifier"
 NREVCD                       "Number of revenue codes for this discharge"
 REVCD1                       "Revenue code 1 (as received from source)"
 REVCD2                       "Revenue code 2 (as received from source)"
 REVCD3                       "Revenue code 3 (as received from source)"
 REVCD4                       "Revenue code 4 (as received from source)"
 REVCD5                       "Revenue code 5 (as received from source)"
 REVCD6                       "Revenue code 6 (as received from source)"
 REVCD7                       "Revenue code 7 (as received from source)"
 REVCD8                       "Revenue code 8 (as received from source)"
 REVCD9                       "Revenue code 9 (as received from source)"
 REVCD10                      "Revenue code 10 (as received from source)"
 REVCD11                      "Revenue code 11 (as received from source)"
 REVCD12                      "Revenue code 12 (as received from source)"
 REVCD13                      "Revenue code 13 (as received from source)"
 REVCD14                      "Revenue code 14 (as received from source)"
 REVCD15                      "Revenue code 15 (as received from source)"
 REVCD16                      "Revenue code 16 (as received from source)"
 REVCD17                      "Revenue code 17 (as received from source)"
 REVCD18                      "Revenue code 18 (as received from source)"
 REVCD19                      "Revenue code 19 (as received from source)"
 REVCD20                      "Revenue code 20 (as received from source)"
 REVCD21                      "Revenue code 21 (as received from source)"
 REVCD22                      "Revenue code 22 (as received from source)"
 REVCD23                      "Revenue code 23 (as received from source)"
 REVCD24                      "Revenue code 24 (as received from source)"
 REVCD25                      "Revenue code 25 (as received from source)"
 REVCD26                      "Revenue code 26 (as received from source)"
 REVCD27                      "Revenue code 27 (as received from source)"
 REVCD28                      "Revenue code 28 (as received from source)"
 REVCD29                      "Revenue code 29 (as received from source)"
 REVCD30                      "Revenue code 30 (as received from source)"
 REVCD31                      "Revenue code 31 (as received from source)"
 REVCD32                      "Revenue code 32 (as received from source)"
 REVCD33                      "Revenue code 33 (as received from source)"
 REVCD34                      "Revenue code 34 (as received from source)"
 REVCD35                      "Revenue code 35 (as received from source)"
 REVCD36                      "Revenue code 36 (as received from source)"
 REVCD37                      "Revenue code 37 (as received from source)"
 REVCD38                      "Revenue code 38 (as received from source)"
 REVCD39                      "Revenue code 39 (as received from source)"
 REVCD40                      "Revenue code 40 (as received from source)"
 REVCD41                      "Revenue code 41 (as received from source)"
 REVCD42                      "Revenue code 42 (as received from source)"
 REVCD43                      "Revenue code 43 (as received from source)"
 REVCD44                      "Revenue code 44 (as received from source)"
 REVCD45                      "Revenue code 45 (as received from source)"
 REVCD46                      "Revenue code 46 (as received from source)"
 REVCD47                      "Revenue code 47 (as received from source)"
 REVCD48                      "Revenue code 48 (as received from source)"
 REVCD49                      "Revenue code 49 (as received from source)"
 REVCD50                      "Revenue code 50 (as received from source)"
 REVCD51                      "Revenue code 51 (as received from source)"
 REVCD52                      "Revenue code 52 (as received from source)"
 REVCD53                      "Revenue code 53 (as received from source)"
 REVCD54                      "Revenue code 54 (as received from source)"
 REVCD55                      "Revenue code 55 (as received from source)"
 REVCD56                      "Revenue code 56 (as received from source)"
 REVCHG1                      "Detailed charges for revenue code 1 (as received from source)"
 REVCHG2                      "Detailed charges for revenue code 2 (as received from source)"
 REVCHG3                      "Detailed charges for revenue code 3 (as received from source)"
 REVCHG4                      "Detailed charges for revenue code 4 (as received from source)"
 REVCHG5                      "Detailed charges for revenue code 5 (as received from source)"
 REVCHG6                      "Detailed charges for revenue code 6 (as received from source)"
 REVCHG7                      "Detailed charges for revenue code 7 (as received from source)"
 REVCHG8                      "Detailed charges for revenue code 8 (as received from source)"
 REVCHG9                      "Detailed charges for revenue code 9 (as received from source)"
 REVCHG10                     "Detailed charges for revenue code 10 (as received from source)"
 REVCHG11                     "Detailed charges for revenue code 11 (as received from source)"
 REVCHG12                     "Detailed charges for revenue code 12 (as received from source)"
 REVCHG13                     "Detailed charges for revenue code 13 (as received from source)"
 REVCHG14                     "Detailed charges for revenue code 14 (as received from source)"
 REVCHG15                     "Detailed charges for revenue code 15 (as received from source)"
 REVCHG16                     "Detailed charges for revenue code 16 (as received from source)"
 REVCHG17                     "Detailed charges for revenue code 17 (as received from source)"
 REVCHG18                     "Detailed charges for revenue code 18 (as received from source)"
 REVCHG19                     "Detailed charges for revenue code 19 (as received from source)"
 REVCHG20                     "Detailed charges for revenue code 20 (as received from source)"
 REVCHG21                     "Detailed charges for revenue code 21 (as received from source)"
 REVCHG22                     "Detailed charges for revenue code 22 (as received from source)"
 REVCHG23                     "Detailed charges for revenue code 23 (as received from source)"
 REVCHG24                     "Detailed charges for revenue code 24 (as received from source)"
 REVCHG25                     "Detailed charges for revenue code 25 (as received from source)"
 REVCHG26                     "Detailed charges for revenue code 26 (as received from source)"
 REVCHG27                     "Detailed charges for revenue code 27 (as received from source)"
 REVCHG28                     "Detailed charges for revenue code 28 (as received from source)"
 REVCHG29                     "Detailed charges for revenue code 29 (as received from source)"
 REVCHG30                     "Detailed charges for revenue code 30 (as received from source)"
 REVCHG31                     "Detailed charges for revenue code 31 (as received from source)"
 REVCHG32                     "Detailed charges for revenue code 32 (as received from source)"
 REVCHG33                     "Detailed charges for revenue code 33 (as received from source)"
 REVCHG34                     "Detailed charges for revenue code 34 (as received from source)"
 REVCHG35                     "Detailed charges for revenue code 35 (as received from source)"
 REVCHG36                     "Detailed charges for revenue code 36 (as received from source)"
 REVCHG37                     "Detailed charges for revenue code 37 (as received from source)"
 REVCHG38                     "Detailed charges for revenue code 38 (as received from source)"
 REVCHG39                     "Detailed charges for revenue code 39 (as received from source)"
 REVCHG40                     "Detailed charges for revenue code 40 (as received from source)"
 REVCHG41                     "Detailed charges for revenue code 41 (as received from source)"
 REVCHG42                     "Detailed charges for revenue code 42 (as received from source)"
 REVCHG43                     "Detailed charges for revenue code 43 (as received from source)"
 REVCHG44                     "Detailed charges for revenue code 44 (as received from source)"
 REVCHG45                     "Detailed charges for revenue code 45 (as received from source)"
 REVCHG46                     "Detailed charges for revenue code 46 (as received from source)"
 REVCHG47                     "Detailed charges for revenue code 47 (as received from source)"
 REVCHG48                     "Detailed charges for revenue code 48 (as received from source)"
 REVCHG49                     "Detailed charges for revenue code 49 (as received from source)"
 REVCHG50                     "Detailed charges for revenue code 50 (as received from source)"
 REVCHG51                     "Detailed charges for revenue code 51 (as received from source)"
 REVCHG52                     "Detailed charges for revenue code 52 (as received from source)"
 REVCHG53                     "Detailed charges for revenue code 53 (as received from source)"
 REVCHG54                     "Detailed charges for revenue code 54 (as received from source)"
 REVCHG55                     "Detailed charges for revenue code 55 (as received from source)"
 REVCHG56                     "Detailed charges for revenue code 56 (as received from source)"
 UNIT1                        "Units of service 1 (as received from source)"
 UNIT2                        "Units of service 2 (as received from source)"
 UNIT3                        "Units of service 3 (as received from source)"
 UNIT4                        "Units of service 4 (as received from source)"
 UNIT5                        "Units of service 5 (as received from source)"
 UNIT6                        "Units of service 6 (as received from source)"
 UNIT7                        "Units of service 7 (as received from source)"
 UNIT8                        "Units of service 8 (as received from source)"
 UNIT9                        "Units of service 9 (as received from source)"
 UNIT10                       "Units of service 10 (as received from source)"
 UNIT11                       "Units of service 11 (as received from source)"
 UNIT12                       "Units of service 12 (as received from source)"
 UNIT13                       "Units of service 13 (as received from source)"
 UNIT14                       "Units of service 14 (as received from source)"
 UNIT15                       "Units of service 15 (as received from source)"
 UNIT16                       "Units of service 16 (as received from source)"
 UNIT17                       "Units of service 17 (as received from source)"
 UNIT18                       "Units of service 18 (as received from source)"
 UNIT19                       "Units of service 19 (as received from source)"
 UNIT20                       "Units of service 20 (as received from source)"
 UNIT21                       "Units of service 21 (as received from source)"
 UNIT22                       "Units of service 22 (as received from source)"
 UNIT23                       "Units of service 23 (as received from source)"
 UNIT24                       "Units of service 24 (as received from source)"
 UNIT25                       "Units of service 25 (as received from source)"
 UNIT26                       "Units of service 26 (as received from source)"
 UNIT27                       "Units of service 27 (as received from source)"
 UNIT28                       "Units of service 28 (as received from source)"
 UNIT29                       "Units of service 29 (as received from source)"
 UNIT30                       "Units of service 30 (as received from source)"
 UNIT31                       "Units of service 31 (as received from source)"
 UNIT32                       "Units of service 32 (as received from source)"
 UNIT33                       "Units of service 33 (as received from source)"
 UNIT34                       "Units of service 34 (as received from source)"
 UNIT35                       "Units of service 35 (as received from source)"
 UNIT36                       "Units of service 36 (as received from source)"
 UNIT37                       "Units of service 37 (as received from source)"
 UNIT38                       "Units of service 38 (as received from source)"
 UNIT39                       "Units of service 39 (as received from source)"
 UNIT40                       "Units of service 40 (as received from source)"
 UNIT41                       "Units of service 41 (as received from source)"
 UNIT42                       "Units of service 42 (as received from source)"
 UNIT43                       "Units of service 43 (as received from source)"
 UNIT44                       "Units of service 44 (as received from source)"
 UNIT45                       "Units of service 45 (as received from source)"
 UNIT46                       "Units of service 46 (as received from source)"
 UNIT47                       "Units of service 47 (as received from source)"
 UNIT48                       "Units of service 48 (as received from source)"
 UNIT49                       "Units of service 49 (as received from source)"
 UNIT50                       "Units of service 50 (as received from source)"
 UNIT51                       "Units of service 51 (as received from source)"
 UNIT52                       "Units of service 52 (as received from source)"
 UNIT53                       "Units of service 53 (as received from source)"
 UNIT54                       "Units of service 54 (as received from source)"
 UNIT55                       "Units of service 55 (as received from source)"
 UNIT56                       "Units of service 56 (as received from source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE NREVCD
 (-99,-88,-66,-55=SYSMIS).
RECODE REVCHG1
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG2
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG3
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG4
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG5
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG6
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG7
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG8
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG9
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG10
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG11
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG12
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG13
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG14
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG15
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG16
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG17
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG18
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG19
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG20
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG21
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG22
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG23
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG24
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG25
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG26
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG27
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG28
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG29
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG30
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG31
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG32
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG33
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG34
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG35
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG36
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG37
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG38
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG39
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG40
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG41
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG42
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG43
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG44
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG45
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG46
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG47
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG48
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG49
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG50
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG51
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG52
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG53
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG54
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG55
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG56
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE UNIT1
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT2
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT3
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT4
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT5
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT6
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT7
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT8
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT9
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT10
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT11
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT12
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT13
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT14
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT15
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT16
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT17
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT18
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT19
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT20
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT21
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT22
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT23
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT24
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT25
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT26
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT27
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT28
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT29
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT30
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT31
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT32
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT33
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT34
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT35
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT36
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT37
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT38
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT39
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT40
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT41
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT42
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT43
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT44
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT45
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT46
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT47
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT48
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT49
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT50
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT51
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT52
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT53
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT54
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT55
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT56
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).



SAVE OUTFILE = 'WA_SID_2016_CHGS.SAV' /COMPRESSED.
