/*******************************************************************
* Creation Date: 05/10/2018   
*   WV_SID_2015q4_DX_PR_GRPS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY DX_PR_GRPS FILE INTO SPSS                         
*******************************************************************/


***************************************************************;
* ----------------------------------------------------------- *;
* |  NOTICE: Use of HCUP data constitutes acceptance of the | *;
* |  terms and conditions of the HCUP Data Use Agreement.   | *;
* ----------------------------------------------------------- *;
***************************************************************;


********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************.

DATA LIST FILE = 'WV_SID_2015q4_DX_PR_GRPS.ASC' FIXED SKIP=2 / 
 I10_BODYSYSTEM1                 1-   2
 I10_BODYSYSTEM2                 3-   4
 I10_BODYSYSTEM3                 5-   6
 I10_BODYSYSTEM4                 7-   8
 I10_BODYSYSTEM5                 9-  10
 I10_BODYSYSTEM6                11-  12
 I10_BODYSYSTEM7                13-  14
 I10_BODYSYSTEM8                15-  16
 I10_BODYSYSTEM9                17-  18
 I10_BODYSYSTEM10               19-  20
 I10_BODYSYSTEM11               21-  22
 I10_BODYSYSTEM12               23-  24
 I10_BODYSYSTEM13               25-  26
 I10_BODYSYSTEM14               27-  28
 I10_BODYSYSTEM15               29-  30
 I10_BODYSYSTEM16               31-  32
 I10_BODYSYSTEM17               33-  34
 I10_BODYSYSTEM18               35-  36
 I10_CHRON1                     37-  38
 I10_CHRON2                     39-  40
 I10_CHRON3                     41-  42
 I10_CHRON4                     43-  44
 I10_CHRON5                     45-  46
 I10_CHRON6                     47-  48
 I10_CHRON7                     49-  50
 I10_CHRON8                     51-  52
 I10_CHRON9                     53-  54
 I10_CHRON10                    55-  56
 I10_CHRON11                    57-  58
 I10_CHRON12                    59-  60
 I10_CHRON13                    61-  62
 I10_CHRON14                    63-  64
 I10_CHRON15                    65-  66
 I10_CHRON16                    67-  68
 I10_CHRON17                    69-  70
 I10_CHRON18                    71-  72
 I10_DXMCCS1                    73-  83 (A)
 I10_DXMCCS2                    84-  94 (A)
 I10_DXMCCS3                    95- 105 (A)
 I10_DXMCCS4                   106- 116 (A)
 I10_DXMCCS5                   117- 127 (A)
 I10_DXMCCS6                   128- 138 (A)
 I10_DXMCCS7                   139- 149 (A)
 I10_DXMCCS8                   150- 160 (A)
 I10_DXMCCS9                   161- 171 (A)
 I10_DXMCCS10                  172- 182 (A)
 I10_DXMCCS11                  183- 193 (A)
 I10_DXMCCS12                  194- 204 (A)
 I10_DXMCCS13                  205- 215 (A)
 I10_DXMCCS14                  216- 226 (A)
 I10_DXMCCS15                  227- 237 (A)
 I10_DXMCCS16                  238- 248 (A)
 I10_DXMCCS17                  249- 259 (A)
 I10_DXMCCS18                  260- 270 (A)
 I10_ECauseMCCS1               271- 281 (A)
 I10_ECauseMCCS2               282- 292 (A)
 I10_ECauseMCCS3               293- 303 (A)
 I10_ECauseMCCS4               304- 314 (A)
 I10_ECauseMCCS5               315- 325 (A)
 I10_INJURY                    326- 327
 I10_MULTINJURY                328- 329
 I10_PCLASS1                   330- 331
 I10_PCLASS2                   332- 333
 I10_PCLASS3                   334- 335
 I10_PCLASS4                   336- 337
 I10_PCLASS5                   338- 339
 I10_PCLASS6                   340- 341
 I10_PRMCCS1                   342- 349 (A)
 I10_PRMCCS2                   350- 357 (A)
 I10_PRMCCS3                   358- 365 (A)
 I10_PRMCCS4                   366- 373 (A)
 I10_PRMCCS5                   374- 381 (A)
 I10_PRMCCS6                   382- 389 (A)
 I10_U_BLOOD                   390- 391
 I10_U_CATH                    392- 393
 I10_U_CTSCAN                  394- 395
 I10_U_EKG                     396- 397
 I10_U_MHSA                    398- 399
 I10_U_MRT                     400- 401
 I10_U_PACEMAKER               402- 403
 I10_U_PHYTHERAPY              404- 405
 I10_U_RADTHERAPY              406- 407
 I10_U_STRESS                  408- 409
 KEY                           410- 424
 U_CCU                         425- 426
 U_CHESTXRAY                   427- 428
 U_DIALYSIS                    429- 430
 U_ECHO                        431- 432
 U_ED                          433- 434
 U_EEG                         435- 436
 U_EPO                         437- 438
 U_ICU                         439- 440
 U_LITHOTRIPSY                 441- 442
 U_NEWBN2L                     443- 444
 U_NEWBN3L                     445- 446
 U_NEWBN4L                     447- 448
 U_NUCMED                      449- 450
 U_OBSERVATION                 451- 452
 U_OCCTHERAPY                  453- 454
 U_ORGANACQ                    455- 456
 U_OTHIMPLANTS                 457- 458
 U_RESPTHERAPY                 459- 460
 U_SPEECHTHERAPY               461- 462
 U_ULTRASOUND                  463- 464.


***  Specify write formats  ***.
FORMATS
 I10_BODYSYSTEM1              (F3.0) /
 I10_BODYSYSTEM2              (F3.0) /
 I10_BODYSYSTEM3              (F3.0) /
 I10_BODYSYSTEM4              (F3.0) /
 I10_BODYSYSTEM5              (F3.0) /
 I10_BODYSYSTEM6              (F3.0) /
 I10_BODYSYSTEM7              (F3.0) /
 I10_BODYSYSTEM8              (F3.0) /
 I10_BODYSYSTEM9              (F3.0) /
 I10_BODYSYSTEM10             (F3.0) /
 I10_BODYSYSTEM11             (F3.0) /
 I10_BODYSYSTEM12             (F3.0) /
 I10_BODYSYSTEM13             (F3.0) /
 I10_BODYSYSTEM14             (F3.0) /
 I10_BODYSYSTEM15             (F3.0) /
 I10_BODYSYSTEM16             (F3.0) /
 I10_BODYSYSTEM17             (F3.0) /
 I10_BODYSYSTEM18             (F3.0) /
 I10_CHRON1                   (F3.0) /
 I10_CHRON2                   (F3.0) /
 I10_CHRON3                   (F3.0) /
 I10_CHRON4                   (F3.0) /
 I10_CHRON5                   (F3.0) /
 I10_CHRON6                   (F3.0) /
 I10_CHRON7                   (F3.0) /
 I10_CHRON8                   (F3.0) /
 I10_CHRON9                   (F3.0) /
 I10_CHRON10                  (F3.0) /
 I10_CHRON11                  (F3.0) /
 I10_CHRON12                  (F3.0) /
 I10_CHRON13                  (F3.0) /
 I10_CHRON14                  (F3.0) /
 I10_CHRON15                  (F3.0) /
 I10_CHRON16                  (F3.0) /
 I10_CHRON17                  (F3.0) /
 I10_CHRON18                  (F3.0) /
 I10_INJURY                   (F3.0) /
 I10_MULTINJURY               (F3.0) /
 I10_PCLASS1                  (F3.0) /
 I10_PCLASS2                  (F3.0) /
 I10_PCLASS3                  (F3.0) /
 I10_PCLASS4                  (F3.0) /
 I10_PCLASS5                  (F3.0) /
 I10_PCLASS6                  (F3.0) /
 I10_U_BLOOD                  (F3.0) /
 I10_U_CATH                   (F3.0) /
 I10_U_CTSCAN                 (F3.0) /
 I10_U_EKG                    (F3.0) /
 I10_U_MHSA                   (F3.0) /
 I10_U_MRT                    (F3.0) /
 I10_U_PACEMAKER              (F3.0) /
 I10_U_PHYTHERAPY             (F3.0) /
 I10_U_RADTHERAPY             (F3.0) /
 I10_U_STRESS                 (F3.0) /
 KEY                          (F8.0) /
 U_CCU                        (F3.0) /
 U_CHESTXRAY                  (F3.0) /
 U_DIALYSIS                   (F3.0) /
 U_ECHO                       (F3.0) /
 U_ED                         (F3.0) /
 U_EEG                        (F3.0) /
 U_EPO                        (F3.0) /
 U_ICU                        (F3.0) /
 U_LITHOTRIPSY                (F3.0) /
 U_NEWBN2L                    (F3.0) /
 U_NEWBN3L                    (F3.0) /
 U_NEWBN4L                    (F3.0) /
 U_NUCMED                     (F3.0) /
 U_OBSERVATION                (F3.0) /
 U_OCCTHERAPY                 (F3.0) /
 U_ORGANACQ                   (F3.0) /
 U_OTHIMPLANTS                (F3.0) /
 U_RESPTHERAPY                (F3.0) /
 U_SPEECHTHERAPY              (F3.0) /
 U_ULTRASOUND                 (F3.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 I10_BODYSYSTEM1              "ICD-10-CM Body system 1"
 I10_BODYSYSTEM2              "ICD-10-CM Body system 2"
 I10_BODYSYSTEM3              "ICD-10-CM Body system 3"
 I10_BODYSYSTEM4              "ICD-10-CM Body system 4"
 I10_BODYSYSTEM5              "ICD-10-CM Body system 5"
 I10_BODYSYSTEM6              "ICD-10-CM Body system 6"
 I10_BODYSYSTEM7              "ICD-10-CM Body system 7"
 I10_BODYSYSTEM8              "ICD-10-CM Body system 8"
 I10_BODYSYSTEM9              "ICD-10-CM Body system 9"
 I10_BODYSYSTEM10             "ICD-10-CM Body system 10"
 I10_BODYSYSTEM11             "ICD-10-CM Body system 11"
 I10_BODYSYSTEM12             "ICD-10-CM Body system 12"
 I10_BODYSYSTEM13             "ICD-10-CM Body system 13"
 I10_BODYSYSTEM14             "ICD-10-CM Body system 14"
 I10_BODYSYSTEM15             "ICD-10-CM Body system 15"
 I10_BODYSYSTEM16             "ICD-10-CM Body system 16"
 I10_BODYSYSTEM17             "ICD-10-CM Body system 17"
 I10_BODYSYSTEM18             "ICD-10-CM Body system 18"
 I10_CHRON1                   "ICD-10-CM Chronic condition indicator 1"
 I10_CHRON2                   "ICD-10-CM Chronic condition indicator 2"
 I10_CHRON3                   "ICD-10-CM Chronic condition indicator 3"
 I10_CHRON4                   "ICD-10-CM Chronic condition indicator 4"
 I10_CHRON5                   "ICD-10-CM Chronic condition indicator 5"
 I10_CHRON6                   "ICD-10-CM Chronic condition indicator 6"
 I10_CHRON7                   "ICD-10-CM Chronic condition indicator 7"
 I10_CHRON8                   "ICD-10-CM Chronic condition indicator 8"
 I10_CHRON9                   "ICD-10-CM Chronic condition indicator 9"
 I10_CHRON10                  "ICD-10-CM Chronic condition indicator 10"
 I10_CHRON11                  "ICD-10-CM Chronic condition indicator 11"
 I10_CHRON12                  "ICD-10-CM Chronic condition indicator 12"
 I10_CHRON13                  "ICD-10-CM Chronic condition indicator 13"
 I10_CHRON14                  "ICD-10-CM Chronic condition indicator 14"
 I10_CHRON15                  "ICD-10-CM Chronic condition indicator 15"
 I10_CHRON16                  "ICD-10-CM Chronic condition indicator 16"
 I10_CHRON17                  "ICD-10-CM Chronic condition indicator 17"
 I10_CHRON18                  "ICD-10-CM Chronic condition indicator 18"
 I10_DXMCCS1                  "ICD-10-CM Multi-Level CCS:  Diagnosis 1"
 I10_DXMCCS2                  "ICD-10-CM Multi-Level CCS:  Diagnosis 2"
 I10_DXMCCS3                  "ICD-10-CM Multi-Level CCS:  Diagnosis 3"
 I10_DXMCCS4                  "ICD-10-CM Multi-Level CCS:  Diagnosis 4"
 I10_DXMCCS5                  "ICD-10-CM Multi-Level CCS:  Diagnosis 5"
 I10_DXMCCS6                  "ICD-10-CM Multi-Level CCS:  Diagnosis 6"
 I10_DXMCCS7                  "ICD-10-CM Multi-Level CCS:  Diagnosis 7"
 I10_DXMCCS8                  "ICD-10-CM Multi-Level CCS:  Diagnosis 8"
 I10_DXMCCS9                  "ICD-10-CM Multi-Level CCS:  Diagnosis 9"
 I10_DXMCCS10                 "ICD-10-CM Multi-Level CCS:  Diagnosis 10"
 I10_DXMCCS11                 "ICD-10-CM Multi-Level CCS:  Diagnosis 11"
 I10_DXMCCS12                 "ICD-10-CM Multi-Level CCS:  Diagnosis 12"
 I10_DXMCCS13                 "ICD-10-CM Multi-Level CCS:  Diagnosis 13"
 I10_DXMCCS14                 "ICD-10-CM Multi-Level CCS:  Diagnosis 14"
 I10_DXMCCS15                 "ICD-10-CM Multi-Level CCS:  Diagnosis 15"
 I10_DXMCCS16                 "ICD-10-CM Multi-Level CCS:  Diagnosis 16"
 I10_DXMCCS17                 "ICD-10-CM Multi-Level CCS:  Diagnosis 17"
 I10_DXMCCS18                 "ICD-10-CM Multi-Level CCS:  Diagnosis 18"
 I10_ECauseMCCS1              "ICD-10-CM Multi-Level CCS:  E Cause 1"
 I10_ECauseMCCS2              "ICD-10-CM Multi-Level CCS:  E Cause 2"
 I10_ECauseMCCS3              "ICD-10-CM Multi-Level CCS:  E Cause 3"
 I10_ECauseMCCS4              "ICD-10-CM Multi-Level CCS:  E Cause 4"
 I10_ECauseMCCS5              "ICD-10-CM Multi-Level CCS:  E Cause 5"
 I10_INJURY
 "ICD-10-CM Injury diagnosis reported on record (1:I10_DX1 is an injury; 2:I10_DX2+ is an injury; 0:No injury)"
 I10_MULTINJURY               "ICD-10-CM More than one injury diagnosis reported on record"
 I10_PCLASS1                  "ICD-10-PCS Procedure class 1"
 I10_PCLASS2                  "ICD-10-PCS Procedure class 2"
 I10_PCLASS3                  "ICD-10-PCS Procedure class 3"
 I10_PCLASS4                  "ICD-10-PCS Procedure class 4"
 I10_PCLASS5                  "ICD-10-PCS Procedure class 5"
 I10_PCLASS6                  "ICD-10-PCS Procedure class 6"
 I10_PRMCCS1                  "ICD-10-PCS Multi-Level CCS:  Procedure 1"
 I10_PRMCCS2                  "ICD-10-PCS Multi-Level CCS:  Procedure 2"
 I10_PRMCCS3                  "ICD-10-PCS Multi-Level CCS:  Procedure 3"
 I10_PRMCCS4                  "ICD-10-PCS Multi-Level CCS:  Procedure 4"
 I10_PRMCCS5                  "ICD-10-PCS Multi-Level CCS:  Procedure 5"
 I10_PRMCCS6                  "ICD-10-PCS Multi-Level CCS:  Procedure 6"
 I10_U_BLOOD                  "ICD-10-PCS Utilization Flag: Blood"
 I10_U_CATH                   "ICD-10-PCS Utilization Flag: Cardiac Catheterization Lab"
 I10_U_CTSCAN                 "ICD-10-PCS Utilization Flag: Computed Tomography Scan"
 I10_U_EKG                    "ICD-10-PCS Utilization Flag: Electrocardiogram"
 I10_U_MHSA                   "ICD-10-PCS Utilization Flag: Mental Health and Substance Abuse"
 I10_U_MRT                    "ICD-10-PCS Utilization Flag: Magnetic Resonance Technology"
 I10_U_PACEMAKER              "ICD-10-PCS Utilization Flag: Pacemaker"
 I10_U_PHYTHERAPY             "ICD-10-PCS Utilization Flag: Physical Therapy"
 I10_U_RADTHERAPY             "ICD-10-PCS Utilization Flag: Radiology - Therapeutic and/or Chemotherapy Administration"
 I10_U_STRESS                 "ICD-10-PCS Utilization Flag: Cardiac Stress Test"
 KEY                          "HCUP record identifier"
 U_CCU                        "Utilization Flag: Coronary Care Unit (CCU)"
 U_CHESTXRAY                  "Utilization Flag: Chest X-Ray"
 U_DIALYSIS                   "Utilization Flag: Renal Dialysis"
 U_ECHO                       "Utilization Flag: Echocardiology"
 U_ED                         "Utilization Flag: Emergency Room"
 U_EEG                        "Utilization Flag: Electroencephalogram"
 U_EPO                        "Utilization Flag: EPO"
 U_ICU                        "Utilization Flag: Intensive Care Unit (ICU)"
 U_LITHOTRIPSY                "Utilization Flag: Lithotripsy"
 U_NEWBN2L                    "Utilization Flag: Nursery Level II"
 U_NEWBN3L                    "Utilization Flag: Nursery Level III"
 U_NEWBN4L                    "Utilization Flag: Nursery Level IV"
 U_NUCMED                     "Utilization Flag: Nuclear Medicine"
 U_OBSERVATION                "Utilization Flag: Observation Room"
 U_OCCTHERAPY                 "Utilization Flag: Occupational Therapy"
 U_ORGANACQ                   "Utilization Flag: Organ Acquisition"
 U_OTHIMPLANTS                "Utilization Flag: Other Implants"
 U_RESPTHERAPY                "Utilization Flag: Respiratory Services"
 U_SPEECHTHERAPY              "Utilization Flag: Speech - Language Pathology"
 U_ULTRASOUND                 "Utilization Flag: Ultrasound" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE I10_BODYSYSTEM1
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BODYSYSTEM2
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BODYSYSTEM3
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BODYSYSTEM4
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BODYSYSTEM5
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BODYSYSTEM6
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BODYSYSTEM7
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BODYSYSTEM8
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BODYSYSTEM9
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BODYSYSTEM10
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BODYSYSTEM11
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BODYSYSTEM12
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BODYSYSTEM13
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BODYSYSTEM14
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BODYSYSTEM15
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BODYSYSTEM16
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BODYSYSTEM17
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BODYSYSTEM18
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_CHRON1
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_CHRON2
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_CHRON3
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_CHRON4
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_CHRON5
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_CHRON6
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_CHRON7
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_CHRON8
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_CHRON9
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_CHRON10
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_CHRON11
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_CHRON12
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_CHRON13
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_CHRON14
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_CHRON15
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_CHRON16
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_CHRON17
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_CHRON18
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_INJURY
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_MULTINJURY
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_PCLASS1
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_PCLASS2
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_PCLASS3
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_PCLASS4
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_PCLASS5
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_PCLASS6
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_U_BLOOD
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_U_CATH
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_U_CTSCAN
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_U_EKG
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_U_MHSA
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_U_MRT
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_U_PACEMAKER
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_U_PHYTHERAPY
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_U_RADTHERAPY
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_U_STRESS
 (-9,-8,-6,-5=SYSMIS).
RECODE U_CCU
 (-9,-8,-6,-5=SYSMIS).
RECODE U_CHESTXRAY
 (-9,-8,-6,-5=SYSMIS).
RECODE U_DIALYSIS
 (-9,-8,-6,-5=SYSMIS).
RECODE U_ECHO
 (-9,-8,-6,-5=SYSMIS).
RECODE U_ED
 (-9,-8,-6,-5=SYSMIS).
RECODE U_EEG
 (-9,-8,-6,-5=SYSMIS).
RECODE U_EPO
 (-9,-8,-6,-5=SYSMIS).
RECODE U_ICU
 (-9,-8,-6,-5=SYSMIS).
RECODE U_LITHOTRIPSY
 (-9,-8,-6,-5=SYSMIS).
RECODE U_NEWBN2L
 (-9,-8,-6,-5=SYSMIS).
RECODE U_NEWBN3L
 (-9,-8,-6,-5=SYSMIS).
RECODE U_NEWBN4L
 (-9,-8,-6,-5=SYSMIS).
RECODE U_NUCMED
 (-9,-8,-6,-5=SYSMIS).
RECODE U_OBSERVATION
 (-9,-8,-6,-5=SYSMIS).
RECODE U_OCCTHERAPY
 (-9,-8,-6,-5=SYSMIS).
RECODE U_ORGANACQ
 (-9,-8,-6,-5=SYSMIS).
RECODE U_OTHIMPLANTS
 (-9,-8,-6,-5=SYSMIS).
RECODE U_RESPTHERAPY
 (-9,-8,-6,-5=SYSMIS).
RECODE U_SPEECHTHERAPY
 (-9,-8,-6,-5=SYSMIS).
RECODE U_ULTRASOUND
 (-9,-8,-6,-5=SYSMIS).



SAVE OUTFILE = 'WV_SID_2015q4_DX_PR_GRPS.SAV' /COMPRESSED.
